2023-07-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: e5da48e5ecc7ea9ee43624407723b3827ad887d3
	Increase version numbers

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2023-07-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d09871da52b0eebbe4681660b25febfe1dc54cd9
	INSTALL: regenerate

	* INSTALL: Modified.

2023-07-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d5e321d1544ab467e86f3c3bc032951789663856
	NEWS: minor wording fixes

	* NEWS: Modified.

2023-07-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 18223282746d93b3d1444cd3997e046b80083436
	install.texi: Build was tested with binutils 2.41 (just released)

	* manual/install.texi: Modified.

2023-07-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 14126ff059e98e9236633741fd323a1116299872
	install.texi: Update versions of most recent build tools

	* manual/install.texi: Modified.

2023-07-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 1d5355ddbb761ce653ff5916ff9b2d47ab54ee81
	contrib.texi: Update for 2.38

	* manual/contrib.texi: Modified.

2023-07-27  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1547d6a64f4b981a06fd46ee446425a32558f2d0
	<sys/platform/x86.h>: Add APX support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_APX_F): New.
	(index_cpu_APX_F): New.
	(reg_APX_F): New.
	(bit_APX_state): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-07-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c8c8dbbf279b0ebaed3e871f626ba7dde876d247
	translations: update cs, nl, vi

	* po/cs.po: Modified.
	* po/nl.po: Modified.
	* po/vi.po: Modified.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 784ae968113011ce832b1808d4d42369f5d2e320
	string: Fix tester build with fortify enable with gcc 6

	* string/tester.c: Modified.
	(test_strncat): Modified function.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: dbc4b032dc5c4ef0c46e9de23c46b1698bad4412
	linux: Fix i686 with gcc6

	* sysdeps/unix/sysv/linux/convert_scm_timestamps.c: Modified.
	[__TIMESIZE != 64](__convert_scm_timestamps): Modified function.
	[__TIMESIZE != 64](libc-diag.h): Include file.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 0b1a76c57782a03685f405ee53e6d5f691d69298
	i386: Remove memset_chk-nonshared.S

	* sysdeps/i386/i686/memset.S: Modified.
	* sysdeps/i386/i686/multiarch/Makefile: Modified.
	* sysdeps/i386/i686/multiarch/memset-ia32.S: Modified.
	* sysdeps/i386/i686/multiarch/memset_chk-nonshared.S: Delete file.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: f8f9a272573a4074c5b13ec69522945695d5d3f2
	i386: Fix build with --enable-fortify=3

	* sysdeps/i386/i686/multiarch/Makefile: Modified.
	* sysdeps/i386/i686/multiarch/memcpy_chk-nonshared.S: Delete file.
	* sysdeps/i386/i686/multiarch/memmove_chk-nonshared.S: Delete file.
	* sysdeps/i386/i686/multiarch/mempcpy_chk-nonshared.S: Delete file.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: df43ea489ce492ccf9c787054ca2bb11ddf31b27
	posix: Fix test-errno build with fortify enable

	* posix/test-errno.c: Modified.
	[__GNUC_PREREQ (7, 0)](DIAG_IGNORE_NEEDS_COMMENT): New.
	(sys/cdefs.h): Include file.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 648c3b574d4465042116db6016c13bf6cc53db54
	powerpc: Fix powerpc64 strchrnul build with old gcc

	* sysdeps/powerpc/powerpc64/multiarch/strchrnul.c: Modified.
	[IS_IN (libc)](libc_ifunc): Remove.
	[IS_IN (libc)](libc_ifunc_hidden): New function.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 0eb6b2725ba4aae73c03ac1f05c31cd2a073c99a
	sunrpc: Fix netname build with older gcc

	* sunrpc/netname.c: Modified.
	(user2netname): Modified function.

2023-07-26  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 7dfa534ef07cffe9ddb2614e25fbb2e9ae193164
	malloc: Fix set-freeres.c with gcc 6

	* malloc/set-freeres.c: Modified.

2023-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: b40f5f84c41bc484d4792531a693d7583cecae0a
	NEWS: Insert autogenerated list of fixed bugs

	* NEWS: Modified.

2023-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: aa4aae3df9cf9f2511378dd47261e4b06303ae41
	NEWS: Mention AArch64 libmvec under build requirements again

	* NEWS: Modified.

2023-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 653433cdf0ff435a3fd2e203b4a315556353c818
	NEWS: Minor editorial changes

	* NEWS: Modified.

2023-07-25  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: a3eac15251149d27c6b2dfe1781ee8038fc171e5
	MIPS: Update mips32 and mip64 libm test ulps

	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2023-07-25  Sam James  <sam@gentoo.org>

	COMMIT: 5b61880ba3a0367f8969e028cb2cfe80d6eda8ab
	nscd: cleanup obsolete _FORTIFY_SOURCE setting

	* nscd/Makefile: Modified.

2023-07-25  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 637aac2ae3980de31a6baab236a9255fe853cc76
	Include sys/rseq.h in tst-rseq-disable.c

	* sysdeps/unix/sysv/linux/tst-rseq-disable.c: Modified.
	(sys/rseq.h): Include file.

2023-07-24  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: c2dc8ab6a5a4e67f96ddd3f6bfdf2c991385ec38
	string: Fix tester with fortify enabled

	* string/tester.c: Modified.
	(sys/cdefs.h): Include file.

2023-07-24  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 85ac7edcdf67010c223541936243427213ac87a6
	string: Fix bug-strncat1 with fortify enabled

	* string/bug-strncat1.c: Modified.
	(main): Modified function.
	[__GNUC_PREREQ (8, 0)](DIAG_IGNORE_NEEDS_COMMENT): New.
	(sys/cdefs.h): Include file.

2023-07-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2d472b48610f6a298d28035b683ab13e9afac4cb
	nscd: Use errval, not errno to guide cache update (bug 30662)

	* nscd/grpcache.c: Modified.
	(cache_addgr): Modified function.
	* nscd/pwdcache.c: Modified.
	(cache_addpw): Modified function.

2023-07-24  Andreas Schwab  <schwab@suse.de>

	COMMIT: c437631485a85c3bd034e12f53dd1c8207f05940
	Restore lookup of IPv4 mapped addresses in files database (bug 25457)

	* nss/Makefile: Modified.
	* nss/nss_files/files-hosts.c: Modified.
	(EXTRA_ARGS): Modified.
	(EXTRA_ARGS_DECL): Modified.
	(af): Modified.
	(af): Modified.
	(EXTRA_ARGS_VALUE): Modified.
	(af): Modified.
	(status): Modified.
	(_nss_files_gethostbyname4_r): Modified function.
	(../resolv/mapv4v6addr.h): Include file.
	(af): New.
	* nss/tst-nss-files-hosts-v4mapped.c: New file.
	* nss/tst-nss-files-hosts-v4mapped.root/etc/hosts: New file.
	* nss/tst-nss-files-hosts-v4mapped.root/etc/nsswitch.conf: New file.
	* resolv/mapv4v6addr.h: New file.

2023-07-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: bb9a4fc02841cf58a112a44b259477547893838b
	Revert "MIPS: Sync elf.h from binutils"

	* elf/elf.h: Modified.
	(ELF64_MIPS_R_TYPE): Remove.
	(ELF64_MIPS_R_TYPE2): Remove.
	(ELF64_MIPS_R_TYPE3): Remove.
	(EF_MIPS_UCODE): Remove.
	(EF_MIPS_OPTIONS_FIRST): Remove.
	(EF_MIPS_32BITMODE): Remove.
	(EF_MIPS_ARCH_ASE): Remove.
	(EF_MIPS_ARCH_ASE_MDMX): Remove.
	(EF_MIPS_ARCH_ASE_M16): Remove.
	(EF_MIPS_ARCH_ASE_MICROMIPS): Remove.
	(EF_MIPS_ARCH_32R6): Remove.
	(EF_MIPS_ARCH_64R6): Remove.
	(EF_MIPS_ABI): Remove.
	(EF_MIPS_ABI_O32): Remove.
	(EF_MIPS_ABI_O64): Remove.
	(EF_MIPS_ABI_EABI32): Remove.
	(EF_MIPS_ABI_EABI64): Remove.
	(EF_MIPS_MACH): Remove.
	(EF_MIPS_MACH_3900): Remove.
	(EF_MIPS_MACH_4010): Remove.
	(EF_MIPS_MACH_4100): Remove.
	(EF_MIPS_MACH_4650): Remove.
	(EF_MIPS_MACH_4120): Remove.
	(EF_MIPS_MACH_4111): Remove.
	(EF_MIPS_MACH_SB1): Remove.
	(EF_MIPS_MACH_OCTEON): Remove.
	(EF_MIPS_MACH_XLR): Remove.
	(EF_MIPS_MACH_OCTEON2): Remove.
	(EF_MIPS_MACH_OCTEON3): Remove.
	(EF_MIPS_MACH_5400): Remove.
	(EF_MIPS_MACH_5900): Remove.
	(EF_MIPS_MACH_IAMR2): Remove.
	(EF_MIPS_MACH_5500): Remove.
	(EF_MIPS_MACH_9000): Remove.
	(EF_MIPS_MACH_LS2E): Remove.
	(EF_MIPS_MACH_LS2F): Remove.
	(EF_MIPS_MACH_GS464): Remove.
	(EF_MIPS_MACH_GS464E): Remove.
	(EF_MIPS_MACH_GS264E): Remove.
	(SHT_MIPS_ABIFLAGS): Remove.
	(R_MIPS_PC21_S2): Remove.
	(R_MIPS_PC26_S2): Remove.
	(R_MIPS_PC18_S3): Remove.
	(R_MIPS_PC19_S2): Remove.
	(R_MIPS_PCHI16): Remove.
	(R_MIPS_PCLO16): Remove.
	(R_MIPS16_26): Remove.
	(R_MIPS16_GPREL): Remove.
	(R_MIPS16_GOT16): Remove.
	(R_MIPS16_CALL16): Remove.
	(R_MIPS16_HI16): Remove.
	(R_MIPS16_LO16): Remove.
	(R_MIPS16_TLS_GD): Remove.
	(R_MIPS16_TLS_LDM): Remove.
	(R_MIPS16_TLS_DTPREL_HI16): Remove.
	(R_MIPS16_TLS_DTPREL_LO16): Remove.
	(R_MIPS16_TLS_GOTTPREL): Remove.
	(R_MIPS16_TLS_TPREL_HI16): Remove.
	(R_MIPS16_TLS_TPREL_LO16): Remove.
	(R_MIPS16_PC16_S1): Remove.
	(R_MIPS_RELATIVE): Remove.
	(R_MICROMIPS_26_S1): Remove.
	(R_MICROMIPS_HI16): Remove.
	(R_MICROMIPS_LO16): Remove.
	(R_MICROMIPS_GPREL16): Remove.
	(R_MICROMIPS_LITERAL): Remove.
	(R_MICROMIPS_GOT16): Remove.
	(R_MICROMIPS_PC7_S1): Remove.
	(R_MICROMIPS_PC10_S1): Remove.
	(R_MICROMIPS_PC16_S1): Remove.
	(R_MICROMIPS_CALL16): Remove.
	(R_MICROMIPS_GOT_DISP): Remove.
	(R_MICROMIPS_GOT_PAGE): Remove.
	(R_MICROMIPS_GOT_OFST): Remove.
	(R_MICROMIPS_GOT_HI16): Remove.
	(R_MICROMIPS_GOT_LO16): Remove.
	(R_MICROMIPS_SUB): Remove.
	(R_MICROMIPS_HIGHER): Remove.
	(R_MICROMIPS_HIGHEST): Remove.
	(R_MICROMIPS_CALL_HI16): Remove.
	(R_MICROMIPS_CALL_LO16): Remove.
	(R_MICROMIPS_SCN_DISP): Remove.
	(R_MICROMIPS_JALR): Remove.
	(R_MICROMIPS_HI0_LO16): Remove.
	(R_MICROMIPS_TLS_GD): Remove.
	(R_MICROMIPS_TLS_LDM): Remove.
	(R_MICROMIPS_TLS_DTPREL_HI16): Remove.
	(R_MICROMIPS_TLS_DTPREL_LO16): Remove.
	(R_MICROMIPS_TLS_GOTTPREL): Remove.
	(R_MICROMIPS_TLS_TPREL_HI16): Remove.
	(R_MICROMIPS_TLS_TPREL_LO16): Remove.
	(R_MICROMIPS_GPREL7_S2): Remove.
	(R_MICROMIPS_PC23_S2): Remove.
	(R_MIPS_PC32): Remove.
	(R_MIPS_EH): Remove.
	(R_MIPS_GNU_REL16_S2): Remove.
	(R_MIPS_GNU_VTINHERIT): Remove.
	(R_MIPS_GNU_VTENTRY): Remove.
	(R_MIPS_NUM): Modified.
	(<anonymous>): Modified.
	(<anonymous>): Remove.
	(<anonymous>): Remove.
	(EF_MIPS_64BIT_WHIRL): New.

2023-07-22  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 7fcdc2380c5c3870c795e95c07c127d2ca52a9ce
	riscv: Update rvd libm test ulps

	* sysdeps/riscv/rvd/libm-test-ulps: Modified.

2023-07-22  Ying Huang  <ying.huang@oss.cipunited.com>

	COMMIT: 59dc07637fa1a693bd7599a98b0735697544077b
	MIPS: Sync elf.h from binutils

	* elf/elf.h: Modified.
	(EF_MIPS_64BIT_WHIRL): Remove.
	(R_MIPS_NUM): Modified.
	(<anonymous>): Modified.
	(ELF64_MIPS_R_TYPE): New.
	(ELF64_MIPS_R_TYPE2): New.
	(ELF64_MIPS_R_TYPE3): New.
	(EF_MIPS_UCODE): New.
	(EF_MIPS_OPTIONS_FIRST): New.
	(EF_MIPS_32BITMODE): New.
	(EF_MIPS_ARCH_ASE): New.
	(EF_MIPS_ARCH_ASE_MDMX): New.
	(EF_MIPS_ARCH_ASE_M16): New.
	(EF_MIPS_ARCH_ASE_MICROMIPS): New.
	(EF_MIPS_ARCH_32R6): New.
	(EF_MIPS_ARCH_64R6): New.
	(EF_MIPS_ABI): New.
	(EF_MIPS_ABI_O32): New.
	(EF_MIPS_ABI_O64): New.
	(EF_MIPS_ABI_EABI32): New.
	(EF_MIPS_ABI_EABI64): New.
	(EF_MIPS_MACH): New.
	(EF_MIPS_MACH_3900): New.
	(EF_MIPS_MACH_4010): New.
	(EF_MIPS_MACH_4100): New.
	(EF_MIPS_MACH_4650): New.
	(EF_MIPS_MACH_4120): New.
	(EF_MIPS_MACH_4111): New.
	(EF_MIPS_MACH_SB1): New.
	(EF_MIPS_MACH_OCTEON): New.
	(EF_MIPS_MACH_XLR): New.
	(EF_MIPS_MACH_OCTEON2): New.
	(EF_MIPS_MACH_OCTEON3): New.
	(EF_MIPS_MACH_5400): New.
	(EF_MIPS_MACH_5900): New.
	(EF_MIPS_MACH_IAMR2): New.
	(EF_MIPS_MACH_5500): New.
	(EF_MIPS_MACH_9000): New.
	(EF_MIPS_MACH_LS2E): New.
	(EF_MIPS_MACH_LS2F): New.
	(EF_MIPS_MACH_GS464): New.
	(EF_MIPS_MACH_GS464E): New.
	(EF_MIPS_MACH_GS264E): New.
	(SHT_MIPS_ABIFLAGS): New.
	(R_MIPS_PC21_S2): New.
	(R_MIPS_PC26_S2): New.
	(R_MIPS_PC18_S3): New.
	(R_MIPS_PC19_S2): New.
	(R_MIPS_PCHI16): New.
	(R_MIPS_PCLO16): New.
	(R_MIPS16_26): New.
	(R_MIPS16_GPREL): New.
	(R_MIPS16_GOT16): New.
	(R_MIPS16_CALL16): New.
	(R_MIPS16_HI16): New.
	(R_MIPS16_LO16): New.
	(R_MIPS16_TLS_GD): New.
	(R_MIPS16_TLS_LDM): New.
	(R_MIPS16_TLS_DTPREL_HI16): New.
	(R_MIPS16_TLS_DTPREL_LO16): New.
	(R_MIPS16_TLS_GOTTPREL): New.
	(R_MIPS16_TLS_TPREL_HI16): New.
	(R_MIPS16_TLS_TPREL_LO16): New.
	(R_MIPS16_PC16_S1): New.
	(R_MIPS_RELATIVE): New.
	(R_MICROMIPS_26_S1): New.
	(R_MICROMIPS_HI16): New.
	(R_MICROMIPS_LO16): New.
	(R_MICROMIPS_GPREL16): New.
	(R_MICROMIPS_LITERAL): New.
	(R_MICROMIPS_GOT16): New.
	(R_MICROMIPS_PC7_S1): New.
	(R_MICROMIPS_PC10_S1): New.
	(R_MICROMIPS_PC16_S1): New.
	(R_MICROMIPS_CALL16): New.
	(R_MICROMIPS_GOT_DISP): New.
	(R_MICROMIPS_GOT_PAGE): New.
	(R_MICROMIPS_GOT_OFST): New.
	(R_MICROMIPS_GOT_HI16): New.
	(R_MICROMIPS_GOT_LO16): New.
	(R_MICROMIPS_SUB): New.
	(R_MICROMIPS_HIGHER): New.
	(R_MICROMIPS_HIGHEST): New.
	(R_MICROMIPS_CALL_HI16): New.
	(R_MICROMIPS_CALL_LO16): New.
	(R_MICROMIPS_SCN_DISP): New.
	(R_MICROMIPS_JALR): New.
	(R_MICROMIPS_HI0_LO16): New.
	(R_MICROMIPS_TLS_GD): New.
	(R_MICROMIPS_TLS_LDM): New.
	(R_MICROMIPS_TLS_DTPREL_HI16): New.
	(R_MICROMIPS_TLS_DTPREL_LO16): New.
	(R_MICROMIPS_TLS_GOTTPREL): New.
	(R_MICROMIPS_TLS_TPREL_HI16): New.
	(R_MICROMIPS_TLS_TPREL_LO16): New.
	(R_MICROMIPS_GPREL7_S2): New.
	(R_MICROMIPS_PC23_S2): New.
	(R_MIPS_PC32): New.
	(R_MIPS_EH): New.
	(R_MIPS_GNU_REL16_S2): New.
	(R_MIPS_GNU_VTINHERIT): New.
	(R_MIPS_GNU_VTENTRY): New.
	(<anonymous>): New.
	(<anonymous>): New.

2023-07-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c39e5442f14c53538e0ffda0fd95f6ae71571946
	Merge translations (bg, hr, pl, sv)

	* po/bg.po: Modified.
	* po/hr.po: Modified.
	* po/pl.po: Modified.
	* po/sv.po: Modified.

2023-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2c6b4b272e6b4d07303af25709051c3e96288f2d
	nptl: Unconditionally use a 32-byte rseq area

	* nptl/descr.h: Modified.
	(sys/rseq.h): Remove include.
	(pthread): Modified.

2023-07-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f7f181c12c140ff1fe45376b98fe32eb491e363f
	hurd: Fix tst-openloc

	* libio/tst-fopenloc.c: Modified.
	(do_bz18906): Modified function.

2023-07-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a3090c2c98facbab3d47aa23a94f8d2caeb78d71
	scripts: Fix fortify checks if compiler does not support _FORTIFY_SOURCE=3

	* Makefile: Modified.
	* Rules: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* scripts/check-installed-headers.sh: Modified.

2023-07-20  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 6c85c5a1773d786ccdc375e34431488fbcdd88e0
	configure: Disable building libcrypt by default

	* INSTALL: Modified.
	* NEWS: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.
	* scripts/build-many-glibcs.py: Modified.

2023-07-20  Arsen Arsenović  <arsen@gentoo.org>

	COMMIT: 3edca7f545d226bfbf553e676e22cbfec14adfe8
	nptl: Make tst-tls3mod.so explicitly lazy

	* nptl/Makefile: Modified.

2023-07-19  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 3edc4ff2ceff4a59587ebecb94148d3bcfa1df62
	make ‘struct pthread’ a complete type

	* nptl/descr.h: Modified.
	(pthread): Modified.

2023-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 30379efad117b85cc56a255cac628d0ad745bfe3
	scripts: Add fortify checks on installed headers

	* scripts/check-installed-headers.sh: Modified.

2023-07-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 6d457ff36a45872d66762fb31106145ff753060d
	Update x86_64 libm-test-ulps (x32 ABI)

	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2023-07-19  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 5d72e7e41a7860b911251bfc8dd3641460cc20a0
	Fix getting return address in elf/tst-audit28.c.

	* elf/tst-auditmod28.c: Modified.
	(la_version): Modified function.

2023-07-18  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 8b9a0af8ca012217bf90d1dc0694f85b49ae09da
	[PATCH v1] x86: Use `3/4*sizeof(per-thread-L3)` as low bound for NT threshold.

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2023-07-18  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 47f747217811db35854ea06741be3685e8bbd44d
	x86: Fix slight bug in `shared_per_thread` cache size calculation.

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(get_common_cache_info): Modified function.

2023-07-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 2037f8ad016c05232bb170dbcb1a1d0ffbaeec20
	Update i686 libm-test-ulps (again)

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2023-07-18  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 86e56ecf2f336b1aebfc39218c0486cfd40c888c
	Update i686 libm-test-ulps

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2023-07-18  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 019d850902a34eb68cd83e3edd8bb19f4aafb58c
	Merge translations (de, ro, uk, zh_TW)

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2023-07-17  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 374cab0d95493c65bfcf8b7160a35d00258ff929
	Regenerate libc.pot

	* po/libc.pot: Modified.

2023-07-17  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: c6cb8783b5fb5896cb63fe9008b6a33351f3c777
	configure: Use autoconf 2.71

	* INSTALL: Modified.
	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/alpha/configure: Modified.
	* sysdeps/arc/configure: Modified.
	* sysdeps/arm/configure: Modified.
	* sysdeps/arm/preconfigure: Modified.
	* sysdeps/csky/configure: Modified.
	* sysdeps/csky/preconfigure: Modified.
	* sysdeps/gnu/configure: Modified.
	* sysdeps/hppa/configure: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/ia64/configure: Modified.
	* sysdeps/ieee754/ldbl-opt/configure: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/preconfigure: Modified.
	* sysdeps/m68k/configure: Modified.
	* sysdeps/m68k/preconfigure: Modified.
	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/hurd/configure: Modified.
	* sysdeps/microblaze/configure: Modified.
	* sysdeps/microblaze/preconfigure: Modified.
	* sysdeps/mips/configure: Modified.
	* sysdeps/mips/preconfigure: Modified.
	* sysdeps/nios2/configure: Modified.
	* sysdeps/or1k/configure: Modified.
	* sysdeps/powerpc/powerpc32/configure: Modified.
	* sysdeps/powerpc/powerpc32/fpu/configure: Modified.
	* sysdeps/powerpc/powerpc64/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/configure: Modified.
	* sysdeps/powerpc/preconfigure: Modified.
	* sysdeps/riscv/configure: Modified.
	* sysdeps/riscv/preconfigure: Modified.
	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/s390-64/configure: Modified.
	* sysdeps/sh/configure: Modified.
	* sysdeps/sh/preconfigure: Modified.
	* sysdeps/sparc/configure: Modified.
	* sysdeps/sparc/sparc32/configure: Modified.
	* sysdeps/unix/sysv/linux/aarch64/configure: Modified.
	* sysdeps/unix/sysv/linux/alpha/configure: Modified.
	* sysdeps/unix/sysv/linux/arc/configure: Modified.
	* sysdeps/unix/sysv/linux/configure: Modified.
	* sysdeps/unix/sysv/linux/configure.ac: Modified.
	* sysdeps/unix/sysv/linux/csky/configure: Modified.
	* sysdeps/unix/sysv/linux/i386/configure: Modified.
	* sysdeps/unix/sysv/linux/ia64/configure: Modified.
	* sysdeps/unix/sysv/linux/loongarch/configure: Modified.
	* sysdeps/unix/sysv/linux/m68k/configure: Modified.
	* sysdeps/unix/sysv/linux/mips/configure: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/configure: Modified.
	* sysdeps/unix/sysv/linux/nios2/configure: Modified.
	* sysdeps/unix/sysv/linux/or1k/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/configure: Modified.
	* sysdeps/unix/sysv/linux/riscv/configure: Modified.
	* sysdeps/unix/sysv/linux/s390/configure: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/configure: Modified.
	* sysdeps/unix/sysv/linux/sh/configure: Modified.
	* sysdeps/unix/sysv/linux/sparc/configure: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/configure: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/configure: Modified.
	* sysdeps/unix/sysv/linux/x86_64/configure: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/configure: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/preconfigure: Modified.

2023-07-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5a70ac9d39711528573439e01e249a8f825743ca
	Update sparc libm-test-ulps

	* sysdeps/sparc/fpu/libm-test-ulps: Modified.

2023-07-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 721f30116ce653fffb0156e1298c8063833396e3
	s390: Add the clone3 wrapper

	* sysdeps/unix/sysv/linux/s390/s390-32/clone3.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/clone3.S: New file.
	* sysdeps/unix/sysv/linux/s390/sysdep.h: Modified.
	(HAVE_CLONE3_WRAPPER): New.

2023-07-13  Bert Wesarg  <bert.wesarg@googlemail.com>

	COMMIT: 6cf4ebe10c6f0f60cdfce98f5a0ec7c5ceb987df
	manual: Fix typos in struct dl_find_object

	* manual/dynlink.texi: Modified.

2023-07-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: dddc88587a7f48cbb361d9929ec23d790164eef8
	sparc: Fix la_symbind for bind-now (BZ 23734)

	* elf/dl-audit.c: Modified.
	(_dl_audit_symbind): Modified function.
	* elf/dl-runtime.c: Modified.
	[! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	* elf/do-rel.h: Modified.
	(elf_dynamic_do_Rel): Modified function.
	* sysdeps/generic/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_RELOC): Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](_dl_audit_symbind): Modified.
	* sysdeps/hppa/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_RELOC): Modified.
	* sysdeps/ia64/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_RELOC): Modified.
	* sysdeps/powerpc/dl-lookupcfg.h: Modified.
	[!(__WORDSIZE == 64 && _CALL_ELF == 1)](DL_FIXUP_BINDNOW_RELOC): Modified.
	[__WORDSIZE == 64 && _CALL_ELF == 1](DL_FIXUP_BINDNOW_RELOC): Modified.
	* sysdeps/sparc/dl-lookupcfg.h: New file.

2023-07-12  Andreas Schwab  <schwab@suse.de>

	COMMIT: ca230f5833d699a35778f83b3ab646ba37f6f66c
	i386: make debug wrappers compatible with static PIE

	* sysdeps/i386/memcpy_chk.S: Modified.
	* sysdeps/i386/memmove_chk.S: Modified.
	* sysdeps/i386/mempcpy_chk.S: Modified.
	* sysdeps/i386/memset_chk.S: Modified.

2023-07-11  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 0e1324e655f3ba9fd3f8ad24678b93b35eee2618
	LoongArch: Fix soft-float bug about _dl_runtime_resolve{,lsx,lasx}

	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/loongarch/dl-trampoline.S: Modified.
	* sysdeps/loongarch/dl-trampoline.h: Modified.
	[! __loongarch_soft_float][! USE_LSX](FRAME_SIZE): Remove.
	[! __loongarch_soft_float][USE_LASX](FRAME_SIZE): Remove.
	[! __loongarch_soft_float][USE_LSX](FRAME_SIZE): Remove.
	[! __loongarch_soft_float](FRAME_SIZE): New.
	[USE_LASX](FRAME_SIZE): New.
	[USE_LSX](FRAME_SIZE): New.

2023-07-11  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 7f079fdc16e88ebb8020e17b2fd900e8924da29a
	LoongArch: Add vector implementation for _dl_runtime_resolve.

	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/loongarch/dl-trampoline.S: Modified.
	* sysdeps/loongarch/dl-trampoline.h: New file.
	* sysdeps/loongarch/ldsodefs.h: Modified.
	(cpu-features.h): Include file.
	* sysdeps/loongarch/sys/asm.h: Modified.
	(SZVREG): New.
	(SZXREG): New.
	* sysdeps/loongarch/sys/regdef.h: Modified.
	(vr0): New.
	(vr1): New.
	(vr2): New.
	(vr3): New.
	(vr4): New.
	(vr5): New.
	(vr6): New.
	(vr7): New.
	(xr0): New.
	(xr1): New.
	(xr2): New.
	(xr3): New.
	(xr4): New.
	(xr5): New.
	(xr6): New.
	(xr7): New.
	* sysdeps/unix/sysv/linux/loongarch/bits/hwcap.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/cpu-features.h: New file.

2023-07-11  caiyinyu  <caiyinyu@loongson.cn>
            mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: 0d341d09f27fdc48a0e65242f3701ba8ea980b37
	LoongArch: config: Added HAVE_LOONGARCH_VEC_ASM.

	* config.h.in: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.

2023-07-10  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 19f9f7f9d5064ad6608e6d40a3aa1b3db8a4a1ae
	sysdeps: Add missing hidden definitions for i386

	* sysdeps/i386/memcpy.S: Modified.
	* sysdeps/i386/memset.S: Modified.

2023-07-10  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: e30048fdc1878a65d9a1a13305d74b8de542bae9
	sysdeps/s390: Exclude fortified routines from being built with _FORTIFY_SOURCE

	* sysdeps/s390/Makefile: Modified.

2023-07-07  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 7ff33eca6860648fb909df954da4996ce853d01d
	Translations: Add new ro support and update others.

	* po/be.po: Modified.
	* po/hr.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ro.po: New file.
	* po/ru.po: Modified.
	* po/sr.po: Modified.
	* po/vi.po: Modified.
	* po/zh_TW.po: Modified.

2023-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1bcfe0f732066ae5336b252295591ebe7e51c301
	elf: _dl_find_object may return 1 during early startup (bug 30515)

	* elf/dl-find_object.c: Modified.
	(_dl_find_object_slow): Modified function.
	* elf/tst-auditmod28.c: Modified.
	(la_version): Modified function.

2023-07-07  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 0567edf1b2def04840e38e3610452c51a3f440a3
	LoongArch: config: Rewrite check on static PIE.

	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.

2023-07-06  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 500054974667be3153ed760152ea0153df33c3d0
	Revert "hppa: Drop 16-byte pthread lock alignment"

	* sysdeps/hppa/nptl/bits/pthreadtypes-arch.h: Modified.
	(__LOCK_ALIGNMENT): Modified.
	* sysdeps/hppa/nptl/bits/struct_rwlock.h: Modified.
	(__pthread_rwlock_arch_t): Modified.

2023-07-06  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 2fb12bbd092b0c10f1f2083216e723d2406e21c4
	realloc: Limit chunk reuse to only growing requests [BZ #30579]

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_realloc): Modified function.

2023-07-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 320ac7eeb47671e03ee26d4419b640fac0312390
	vfscanf-internal: Remove potentially unbounded allocas

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-to_inpunct.c: New file.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-wscanf-to_inpunct.c: New file.

2023-07-05  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 5324d258427fd11ca0f4f595c94016e568b26d6b
	fileops: Don't process ,ccs= as individual mode flags (BZ#18906)

	* libio/fileops.c: Modified.
	(_IO_new_file_fopen): Modified function.
	* libio/tst-fopenloc.c: Modified.
	(do_bz17916): Modified function.
	(do_test): Modified function.
	(fcntl.h): Include file.
	(support/check.h): Include file.
	(do_bz18906): New function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 02261d1bd930b50e9166086462dca885e9847826
	sysdeps/ieee754/ldbl-128ibm-compat: Fix warn unused result

	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ldbl-compat.c: Modified.
	(do_test_call_varg): Modified function.
	(do_test_call_rarg): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat-template.c: Modified.
	(CHECK_VARGS): Modified.
	(CHECK_VALUE): Modified.
	(do_test_call): Modified function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 923b53e920ad069599ca691dbab477ae26d6f02b
	libio/bits/stdio2-decl.h: Avoid PLT entries with _FORTIFY_SOURCE

	* libio/bits/stdio2-decl.h: Modified.
	[__USE_GNU](__REDIRECT): Modified.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_GNU](__REDIRECT_FORTIFY): New function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 840dc610c8ff8d53e0f41239e5b875c8175dc791
	libio/bits/stdio2.h: Clearly separate declaration from definitions

	* libio/bits/stdio2-decl.h: Modified.
	[__GLIBC_USE (DEPRECATED_GETS)](__REDIRECT): New function.
	[__USE_GNU](__REDIRECT): New function.
	[__USE_GNU](__REDIRECT): New function.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](__REDIRECT): New function.
	[__USE_MISC](__wur): New.
	(__wur): Modified.
	(__REDIRECT): New function.
	(__REDIRECT): New function.
	(__REDIRECT): New function.
	(__wur): New.
	* libio/bits/stdio2.h: Modified.
	[__GLIBC_USE (DEPRECATED_GETS)](__REDIRECT): Remove.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_MISC](__wur): Remove.
	[__USE_MISC](__REDIRECT): Remove.
	(__REDIRECT): Remove.
	(__REDIRECT): Remove.
	(__wur): Remove.
	(__REDIRECT): Remove.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: ba745eff4621d599be3d14d32d490debaef5a117
	misc/bits/syslog.h: Clearly separate declaration from definition

	* include/bits/syslog-decl.h: New file.
	* include/sys/syslog.h: Modified.
	[! _ISOMAC](bits/syslog-decl.h): Include file.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	* misc/Makefile: Modified.
	* misc/bits/syslog-decl.h: New file.
	* misc/bits/syslog.h: Modified.
	[__USE_MISC](__vsyslog_chk): Remove.
	(__syslog_chk): Remove.
	(bits/syslog-decl.h): Include file.
	* misc/syslog.c: Modified.
	(ldbl_weak_alias): Modified function.
	(__vsyslog_chk): Remove function.
	(ldbl_hidden_def): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-syslog.c: Modified.
	(hidden_def): New.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: d9a99272d21d9602ec7e134169c115aa27d956b6
	misc/bits/select2.h: Clearly separate declaration from definitions

	* debug/fdelt_chk.c: Modified.
	(libc_hidden_def): New.
	* include/bits/select-decl.h: New file.
	* include/sys/select.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](bits/select-decl.h): Include file.
	[! _ISOMAC](libc_hidden_proto): New.
	* misc/Makefile: Modified.
	* misc/bits/select-decl.h: New file.
	* misc/bits/select2.h: Modified.
	(__fdelt_chk): Remove.
	(__fdelt_warn): Remove.
	(bits/select-decl.h): Include file.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: b17d65ff927241d2bc36cbfe258431bec2ffad1b
	unistd: Avoid PLT entries with _FORTIFY_SOURCE

	* debug/getdomainname_chk.c: Modified.
	(libc_hidden_def): New.
	* debug/read_chk.c: Modified.
	(libc_hidden_def): New.
	* include/unistd.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* login/getlogin_r_chk.c: Modified.
	(libc_hidden_def): New.
	* posix/bits/unistd-decl.h: Modified.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__REDIRECT_NTH): Modified.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__REDIRECT_NTH): Remove.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__REDIRECT_FORTIFY_NTH): New function.
	[__USE_POSIX199506](__REDIRECT): Modified.
	[__USE_POSIX199506](__REDIRECT): Remove.
	[__USE_POSIX199506](__REDIRECT_FORTIFY): New function.
	(__REDIRECT): Modified.
	(__REDIRECT): Remove.
	(__REDIRECT_FORTIFY): New function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 391f5e9619ef540eea00fb622f4381dae9d8cb44
	posix/bits/unistd.h: Clearly separate declaration from definitions

	* include/bits/unistd-decl.h: New file.
	* include/unistd.h: Modified.
	[! _ISOMAC](bits/unistd-decl.h): Include file.
	* posix/Makefile: Modified.
	* posix/bits/unistd-decl.h: New file.
	* posix/bits/unistd.h: Modified.
	[__USE_ATFILE](__readlinkat_chk): Remove.
	[__USE_ATFILE](__REDIRECT_NTH): Remove.
	[__USE_ATFILE](__REDIRECT_NTH): Remove.
	[__USE_MISC ||  __USE_UNIX98](__gethostname_chk): Remove.
	[__USE_MISC ||  __USE_UNIX98](__REDIRECT_NTH): Remove.
	[__USE_MISC ||  __USE_UNIX98](__REDIRECT_NTH): Remove.
	[__USE_MISC ||  __USE_XOPEN_EXTENDED](__getwd_chk): Remove.
	[__USE_MISC ||  __USE_XOPEN_EXTENDED](__REDIRECT_NTH): Remove.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__getdomainname_chk): Remove.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__REDIRECT_NTH): Remove.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__REDIRECT_NTH): Remove.
	[__USE_POSIX199506](__getlogin_r_chk): Remove.
	[__USE_POSIX199506](__REDIRECT): Remove.
	[__USE_POSIX199506](__REDIRECT): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__pread_chk): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__pread64_chk): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K](__readlink_chk): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K](__REDIRECT_NTH): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K](__REDIRECT_NTH): Remove.
	(__read_chk): Remove.
	(__REDIRECT): Remove.
	(__REDIRECT): Remove.
	(__wur): Remove.
	(__wur): Remove.
	(__REDIRECT_NTH): Remove.
	(__confstr_chk): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__getgroups_chk): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__ttyname_r_chk): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(bits/unistd-decl.h): Include file.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 64f9857507f6dbf9715350b75e83b465be9b8f03
	wchar: Avoid PLT entries with _FORTIFY_SOURCE

	* debug/wcrtomb_chk.c: Modified.
	(libc_hidden_def): New.
	* debug/wmemset_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* include/wchar.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](__swprintf_chk): New function.
	[! _ISOMAC](__wprintf_chk): New function.
	[! _ISOMAC](__fwprintf_chk): New function.
	[! _ISOMAC](__vwprintf_chk): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* sysdeps/x86_64/multiarch/wmemset_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* wcsmbs/bits/wchar2-decl.h: Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__wur): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_FORTIFY_NTH): New function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: eea000f6e69a829425fae25a7c2519f5c79551de
	misc/sys/cdefs.h: Create FORTIFY redirects for internal calls

	* include/sys/cdefs.h: Modified.
	[! _ISOMAC][SHARED][IS_IN (libc) && __USE_FORTIFY_LEVEL > 0 &&  __forty_function](__REDIRECT_FORTIFY): New.
	[! _ISOMAC][SHARED][IS_IN (libc) && __USE_FORTIFY_LEVEL > 0 &&  __forty_function](__REDIRECT_FORTIFY_NTH): New.
	* misc/sys/cdefs.h: Modified.
	[( __GNUC__ && __GNUC__ >= 2) || (__clang_major__ >= 4)][! __REDIRECT_FORTIFY](__REDIRECT_FORTIFY): New.
	[( __GNUC__ && __GNUC__ >= 2) || (__clang_major__ >= 4)][! __REDIRECT_FORTIFY_NTH](__REDIRECT_FORTIFY_NTH): New.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 505c884aeb059ee7741c23d1bfc47956bd9c2a0e
	stdio: Ensure *_chk routines have their hidden builtin definition available

	* debug/asprintf_chk.c: Modified.
	(__asprintf_chk): Remove function.
	[!(__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1)](strong_alias): New.
	[!(__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1)](libc_hidden_def): New.
	(___asprintf_chk): New function.
	* debug/fgets_u_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* debug/fprintf_chk.c: Modified.
	* debug/sprintf_chk.c: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC][!(__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1)](libc_hidden_proto): New.
	[! _ISOMAC][__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1](libc_hidden_ldbl_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf_chk.c: Modified.
	(hidden_def): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf_chk.c: Modified.
	(hidden_def): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf_chk.c: Modified.
	(hidden_def): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf_chk.c: Modified.
	(hidden_def): New.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: dd8486ffc195f5fe150b2d3724c7712686cfddb0
	string: Ensure *_chk routines have their hidden builtin definition available

	* debug/memcpy_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* debug/memmove_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* debug/mempcpy_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* debug/memset_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* debug/stpcpy_chk.c: Modified.
	(libc_hidden_builtin_def): New.
	* include/string.h: Modified.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	* sysdeps/i386/i586/memcpy.S: Modified.
	* sysdeps/i386/i586/memset.S: Modified.
	* sysdeps/i386/i686/memcpy.S: Modified.
	* sysdeps/i386/i686/memmove.S: Modified.
	* sysdeps/i386/i686/mempcpy.S: Modified.
	* sysdeps/i386/i686/memset.S: Modified.
	* sysdeps/i386/i686/multiarch/memcpy_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/i386/i686/multiarch/memmove_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/i386/i686/multiarch/mempcpy_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/i386/i686/multiarch/memset_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/i386/memcpy_chk.S: Modified.
	* sysdeps/i386/memmove_chk.S: Modified.
	* sysdeps/i386/mempcpy_chk.S: Modified.
	* sysdeps/i386/memset_chk.S: Modified.
	* sysdeps/x86_64/memcpy_chk.S: Modified.
	* sysdeps/x86_64/memmove_chk.S: Modified.
	* sysdeps/x86_64/mempcpy_chk.S: Modified.
	* sysdeps/x86_64/memset_chk.S: Modified.
	* sysdeps/x86_64/multiarch/memcpy_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/x86_64/multiarch/memmove_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/x86_64/multiarch/mempcpy_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.
	* sysdeps/x86_64/multiarch/memset_chk.c: Modified.
	[SHARED](__hidden_ver1): New.
	[SHARED](visibility): New.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: ba96ff24b253d0321508b8b462103bbaa2975bb5
	sysdeps: Ensure ieee128*_chk routines to be properly named

	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf_chk.c: Modified.
	(___ieee128_asprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___asprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-dprintf_chk.c: Modified.
	(___ieee128_dprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___dprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf_chk.c: Modified.
	(___ieee128_fprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___fprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwprintf_chk.c: Modified.
	(___ieee128_fwprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___fwprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf_chk.c: Modified.
	(___ieee128_printf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___printf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf_chk.c: Modified.
	(___ieee128_snprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___snprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf_chk.c: Modified.
	(___ieee128_sprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___sprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swprintf_chk.c: Modified.
	(___ieee128_swprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___swprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-syslog.c: Modified.
	(___ieee128_syslog_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128_vsyslog_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___syslog_chk): New function.
	(___ieee128___vsyslog_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vasprintf_chk.c: Modified.
	(___ieee128_vasprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vasprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vdprintf_chk.c: Modified.
	(___ieee128_vdprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vdprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfprintf_chk.c: Modified.
	(___ieee128_vfprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vfprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwprintf_chk.c: Modified.
	(___ieee128_vfwprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vfwprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vprintf_chk.c: Modified.
	(___ieee128_vprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsnprintf_chk.c: Modified.
	(___ieee128_vsnprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vsnprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf_chk.c: Modified.
	(___ieee128_vsprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vsprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswprintf_chk.c: Modified.
	(___ieee128_vswprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vswprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwprintf_chk.c: Modified.
	(___ieee128_vwprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___vwprintf_chk): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wprintf_chk.c: Modified.
	(___ieee128_wprintf_chk): Remove function.
	(strong_alias): Modified.
	(___ieee128___wprintf_chk): New function.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 20c894d21eb64153abf7c7f96e6a151897cf1488
	Exclude routines from fortification

	* debug/Makefile: Modified.
	* io/Makefile: Modified.
	* libio/Makefile: Modified.
	* login/Makefile: Modified.
	* misc/Makefile: Modified.
	* posix/Makefile: Modified.
	* rt/Makefile: Modified.
	* setjmp/Makefile: Modified.
	* socket/Makefile: Modified.
	* stdio-common/Makefile: Modified.
	* stdlib/Makefile: Modified.
	* string/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* wcsmbs/Makefile: Modified.

2023-07-05  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 64d9580cdf7e417170abbef0327e04b29712e949
	Allow glibc to be built with _FORTIFY_SOURCE

	* INSTALL: Modified.
	* Makeconfig: Modified.
	* NEWS: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* elf/rtld-Rules: Modified.
	* manual/install.texi: Modified.
	* scripts/build-many-glibcs.py: Modified.

2023-07-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e18c293af0ece38921ad71fbd76ff8049c3b2d67
	manual: Update documentation of strerror and related functions

	* manual/errno.texi: Modified.

2023-07-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9651b06940b79e3a6da3f9fe7dd5a8cfbd5c5d88
	manual: Enhance documentation of the <ctype.h> functions

	* manual/ctype.texi: Modified.

2023-07-03  Andreas Schwab  <schwab@suse.de>

	COMMIT: af130d27099651e0d27b2cf2cfb44dafd6fe8a26
	Always do locking when accessing streams (bug 15142, bug 14697)

	* libio/genops.c: Modified.
	(_IO_flush_all_lockp): Remove function.
	(_IO_flush_all): Modified function.
	(_IO_unbuffer_all): Modified function.
	(_IO_cleanup): Modified function.
	* libio/libioP.h: Modified.
	(_IO_flush_all_lockp): Remove.

2023-07-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 27cb2bb93d611d772621e801bf85c8b2b4c8b598
	hurd: Implement MAP_EXCL

	* sysdeps/mach/hurd/bits/mman_ext.h: Modified.
	[__USE_GNU](MAP_EXCL): New.
	[__USE_GNU](MAP_TRYFIXED): New.
	[__USE_GNU](MAP_FIXED_NOREPLACE): New.
	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.

2023-07-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 19c3b318127005444e55feb35e27d877a6af8461
	hurd: Fix mapping at address 0 with MAP_FIXED

	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.

2023-07-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: f84c3ceb0447477eb022cd5da6c8f27a705deae6
	hurd: Fix calling vm_deallocate (NULL)

	* sysdeps/mach/hurd/readdir64.c: Modified.
	(__readdir64): Modified function.

2023-07-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4b5e576fc21931969c0a1b53fdaf7ce3bfcebb86
	hurd: Map brk non-executable

	* sysdeps/mach/hurd/brk.c: Modified.
	(_hurd_set_brk): Modified function.

2023-07-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 019b0bbc84e2048556ac1a6b6df3a61e45fc1e17
	htl: Let Mach place thread stacks

	* sysdeps/mach/htl/pt-stack-alloc.c: Modified.
	(mach/machine/vm_param.h): Remove include.
	(next_stack_base): Remove.
	(__pthread_stack_alloc): Modified function.

2023-07-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: efdb85183aca7634d61a413c55d63e519d89d162
	mach: strerror must not return NULL (bug 30555)

	* sysdeps/mach/strerror_l.c: Modified.
	(__strerror_l): Modified function.

2023-07-01  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 181e991dfb800f721b693fe1a2227f736b99e725
	hppa: xfail debug/tst-ssp-1 when have-ssp is yes (gcc-12 and later)

	* sysdeps/unix/sysv/linux/hppa/Makefile: Modified.

2023-07-01  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 1d5024f4f052c12e404d42d3b5bfe9c3e9fd27c4
	support: Build with exceptions and asynchronous unwind tables [BZ #30587]

	* support/Makefile: Modified.

2023-07-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 494714d4073502145689eafc197f5ab6ffe4c3e5
	hurd: Make getrandom return ENOSYS when /dev/random is not set up

	* sysdeps/mach/hurd/getrandom.c: Modified.
	(__getrandom): Modified function.

2023-06-30  Tulio Magno Quites Machado Filho  <tuliom@redhat.com>

	COMMIT: 0a9e93842d8e535ac8174cb4ff7fb830b20e4ae7
	Stop applying a GCC-specific workaround on clang [BZ #30550]

	* math/math.h: Modified.
	[__USE_ISOC99][__HAVE_DISTINCT_FLOAT128 && !__GNUC_PREREQ (7,0)  && ! __SUPPORT_SNAN__ && ! __cplusplus](isinf): Remove.
	[__USE_ISOC99][__HAVE_DISTINCT_FLOAT128 && !__GNUC_PREREQ (7,0)  && ! __SUPPORT_SNAN__ && ! __cplusplus  && ! __clang__](isinf): New.

2023-06-30  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6259ab39410cdefc80077afea48ca9cb057f6005
	ld.so: Always use MAP_COPY to map the first segment [BZ #30452]

	* elf/dl-map-segments.h: Modified.
	(_dl_map_segment): Modified function.
	* sysdeps/x86_64/64/Makefile: Modified.
	* sysdeps/x86_64/64/tst-map-32bit-2.c: New file.
	* sysdeps/x86_64/64/tst-map-32bit-mod-2.c: New file.

2023-06-30  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 9401024e5e6be0e1c3870e185daae865cd4501f4
	setenv.c: Get rid of alloca.

	* stdlib/setenv.c: Modified.
	[_LIBC][! _LIBC](__add_to_environ): Modified function.

2023-06-30  Martin Coufal  <mcoufal@redhat.com>

	COMMIT: 9555be54ef94e5d017ce4235e4f7c4e16662e17e
	Add checks for wday, yday and new date formats

	* time/tst-getdate.c: Modified.
	(report_date_error): Modified function.

2023-06-30  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 4a9392ffc27ad280f84779eea3ba01f2c134d1d8
	aarch64: Add vector implementations of exp routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_expf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_exp): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_expf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_exp): New function.
	* sysdeps/aarch64/fpu/exp_advsimd.c: New file.
	* sysdeps/aarch64/fpu/exp_sve.c: New file.
	* sysdeps/aarch64/fpu/expf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/expf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_exp_data.c: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(V_EXP_TABLE_BITS): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-06-30  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 78c01a5cbeb6717ffa2d4d66bb90ac5c39bd81a9
	aarch64: Add vector implementations of log routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_logf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_log): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_logf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log): New function.
	* sysdeps/aarch64/fpu/log_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log_sve.c: New file.
	* sysdeps/aarch64/fpu/logf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/logf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_log_data.c: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(V_LOG_POLY_ORDER): New.
	(V_LOG_TABLE_BITS): New.
	(v_log_data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-06-30  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 3bb1af20513b8b70b8d404c71fb0956f00f8bf6b
	aarch64: Add vector implementations of sin routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_sinf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_sin): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sinf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sin): New function.
	* sysdeps/aarch64/fpu/sin_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sin_sve.c: New file.
	* sysdeps/aarch64/fpu/sinf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sinf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-06-30  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: aed39a3aa3ea68b14dce3395fb14b1416541e6c6
	aarch64: Add vector implementations of cos routines

	* sysdeps/aarch64/fpu/advsimd_utils.h: Delete file.
	* sysdeps/aarch64/fpu/cos_advsimd.c: Modified.
	(math.h): Remove include.
	(advsimd_utils.h): Remove include.
	(V_NAME_D1): Modified function.
	(v_math.h): Include file.
	(data): New.
	(C): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/cos_sve.c: Modified.
	(math.h): Remove include.
	(sve_utils.h): Remove include.
	(SV_NAME_D1): Modified function.
	(sv_math.h): Include file.
	(data): New.
	(RangeVal): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/cosf_advsimd.c: Modified.
	(math.h): Remove include.
	(advsimd_utils.h): Remove include.
	(V_NAME_F1): Modified function.
	(v_math.h): Include file.
	(data): New.
	(C): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/cosf_sve.c: Modified.
	(math.h): Remove include.
	(sve_utils.h): Remove include.
	(SV_NAME_F1): Modified function.
	(sv_math.h): Include file.
	(data): New.
	(RangeVal): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/sv_math.h: New file.
	* sysdeps/aarch64/fpu/sve_utils.h: Delete file.
	* sysdeps/aarch64/fpu/v_math.h: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: New file.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/generic/math_private.h: Modified.
	(NOINLINE): New.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(NOINLINE): Remove.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(NOINLINE): Remove.

2023-06-29  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 84e93afc734a3c30e35ed2d21466a44259ac577e
	Switch to UTF-8 for INSTALL

	* INSTALL: Modified.
	* Makefile: Modified.

2023-06-29  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: c14f2e4aaa0f43e2ccb4e77deaa5101dd5af384a
	Make sure INSTALL is ASCII plaintext

	* INSTALL: Modified.
	* Makefile: Modified.

2023-06-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 1a21693e16a3f3d10f41c486b97fbecb53dd2087
	Update syscall lists for Linux 6.4

	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_riscv_hwprobe): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_riscv_hwprobe): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_memfd_secret): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_memfd_secret): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2023-06-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d35fbd3e684e6bb5e5ec452ad8dac6ada8424bdd
	linux: Return unsupported if procfs can not be mount on tst-ttyname-namespace

	* sysdeps/unix/sysv/linux/tst-ttyname-namespace.c: Modified.
	(do_in_chroot_2): Modified function.

2023-06-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a9fed5ea811c3fe3d5186d260494710d424786ef
	linux: Split tst-ttyname

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-ttyname.c: Move to...
	* sysdeps/unix/sysv/linux/tst-ttyname-common.c: ... here.
	(sched.h): Remove include.
	(sys/prctl.h): Remove include.
	(sys/wait.h): Remove include.
	(support/namespace.h): Remove include.
	(do_in_chroot_1): Remove function.
	(do_in_chroot_2): Remove function.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	(stdbool.h): Include file.
	* sysdeps/unix/sysv/linux/tst-ttyname-direct.c: New file.
	* sysdeps/unix/sysv/linux/tst-ttyname-namespace.c: New file.

2023-06-27  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: aaa208502c97707119aea9e03a988bec26ad7817
	Use Linux 6.4 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2023-06-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b29e70657dc19048f32ba73b45da2eeba81340f8
	x86: Adjust Linux x32 dl-cache inclusion path

	* sysdeps/unix/sysv/linux/x86_64/x32/dl-cache.h: Modified.
	(sysdeps/unix/sysv/linux/x86_64/dl-cache.h): Remove include.
	(sysdeps/x86_64/dl-cache.h): Include file.

2023-06-26  Andreas Schwab  <schwab@suse.de>

	COMMIT: 6f962278e24bdf5cb5f310c5a17add41da95407c
	elf: Update list of RISC-V relocations

	* elf/elf.h: Modified.
	(R_RISCV_NUM): Modified.
	(R_RISCV_PLT32): New.
	(R_RISCV_SET_ULEB128): New.
	(R_RISCV_SUB_ULEB128): New.

2023-06-26  Maxim Kuvyrkov  <maxim.kuvyrkov@linaro.org>

	COMMIT: 7c507f4473911a13273ac535b02fd55edc8e19f9
	Fix tests-clean Makefile target (bug 30545)

	* Makefile: Modified.
	* Makerules: Modified.

2023-06-26  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 9a17a193b4ea5730aed0b9e532ae741418dd10d3
	check_native: Get rid of alloca

	* sysdeps/unix/sysv/linux/check_native.c: Modified.
	(__check_native): Modified function.

2023-06-26  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 48170127d984f41cd59dfc1b9ee40f729d953bf9
	ifaddrs: Get rid of alloca

	* sysdeps/unix/sysv/linux/ifaddrs.c: Modified.
	(alloca.h): Remove include.
	(__netlink_request): Modified function.
	(getifaddrs_internal): Modified function.
	(scratch_buffer.h): Include file.

2023-06-26  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 45e2483a6cd920b38d287c51c5363f03a34f92da
	x86: Make dl-cache.h and readelflib.c not Linux-specific

	* sysdeps/unix/sysv/linux/x86/readelflib.c: Move to...
	* sysdeps/x86/readelflib.c: ... here.
	* sysdeps/unix/sysv/linux/x86_64/dl-cache.h: Move to...
	* sysdeps/x86_64/dl-cache.h: ... here.

2023-06-26  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: daf7b53a3c93e99ce66837e908984148fb9f11ee
	elf: Port ldconfig away from stack-allocated paths

	* elf/ldconfig.c: Modified.
	(search_dir): Modified function.

2023-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 21fbc0a19366f89638a30eef2b53c6d4baafdb88
	Call "CST" a time zone abbreviation, not a name

	* manual/conf.texi: Modified.
	* manual/time.texi: Modified.
	* posix/bits/posix1_lim.h: Modified.
	* time/mktime.c: Modified.
	* time/time.h: Modified.
	* time/tzfile.c: Modified.
	* time/tzset.c: Modified.
	* timezone/tst-bz28707.c: Modified.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 99f9ae4ed0ba9f2c84520b78fd0eeed96a7ed40e
	benchtests: fix warn unused result

	* benchtests/bench-strcoll.c: Modified.
	(main): Modified function.
	* sysdeps/unix/sysv/linux/s390/tst-ptrace-singleblock.c: Modified.
	(tracee_func): Modified function.
	(support/xstdlib.h): Include file.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: d636339306d19beb486d6f3a0b364db845baf4e0
	sysdeps/powerpc/fpu/tst-setcontext-fpscr.c: Fix warn unused result

	* sysdeps/powerpc/fpu/tst-setcontext-fpscr.c: Modified.
	(query_auxv): Modified function.
	(support/xstdio.h): Include file.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 131af38694627f9e5aee13fdc301bf2010759a1b
	rt/tst-mqueue4.c: Fix wrong number of argument for mq_open

	* rt/tst-mqueue4.c: Modified.
	(do_test): Modified function.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 0371c236233ee7e491937435952c60f50f7e45ea
	debug/readlink{, at}_chk.c: Harmonize declaration and definition

	* debug/readlink_chk.c: Modified.
	(__readlink_chk): Modified function.
	* debug/readlinkat_chk.c: Modified.
	(__readlinkat_chk): Modified function.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 04d85febb9dd61a65045e10a8ba4add5367b239d
	wcsmbs/bits/wchar2{, -decl}.h: Clearly separate declaration from definitions

	* include/wchar.h: Modified.
	[! _ISOMAC](bits/wchar2-decl.h): Include file.
	* wcsmbs/bits/wchar2-decl.h: Modified.
	[__USE_GNU](__REDIRECT_NTH): New function.
	[__USE_GNU](__REDIRECT_NTH): New function.
	[__USE_GNU](__wur): New.
	[__USE_GNU](__REDIRECT): New function.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New function.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New function.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New function.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New function.
	(__wur): Modified.
	[__USE_MISC](__wcslcpy_chk): New.
	[__USE_MISC](__REDIRECT_NTH): New.
	[__USE_MISC](__wcslcat_chk): New.
	[__USE_MISC](__REDIRECT_NTH): New.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH_LDBL): New function.
	(__REDIRECT_NTH_LDBL): New function.
	(__REDIRECT): New function.
	(__wur): New.
	(__wur): New.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	(__REDIRECT_NTH): New function.
	* wcsmbs/bits/wchar2.h: Modified.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__wur): Remove.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_MISC](__wcslcpy_chk): Remove.
	[__USE_MISC](__REDIRECT_NTH): Remove.
	[__USE_MISC](__wcslcat_chk): Remove.
	[__USE_MISC](__REDIRECT_NTH): Remove.
	[__USE_XOPEN2K8](__REDIRECT_NTH): Remove.
	[__USE_XOPEN2K8](__REDIRECT_NTH): Remove.
	[__USE_XOPEN2K8](__REDIRECT_NTH): Remove.
	[__USE_XOPEN2K8](__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH_LDBL): Remove.
	(__REDIRECT_NTH_LDBL): Remove.
	(__wur): Remove.
	(__REDIRECT): Remove.
	(__wur): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.
	(__REDIRECT_NTH): Remove.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 427dbaee86bcec31ba2fe9a42f32842cf17c4e77
	stdio-common: tests: Incorrect maxlen parameter for swprintf

	* stdio-common/tst-printf-bz25691.c: Modified.
	(do_test): Modified function.
	* stdio-common/tst-vfprintf-mbs-prec.c: Modified.
	(test_wide_long): Modified function.

2023-06-22  Frederic Berat  <fberat@redhat.com>

	COMMIT: 1bc85effd549ae42318b37555a4c76ebc479b92a
	sysdeps/{i386, x86_64}/mempcpy_chk.S: fix linknamespace for __mempcpy_chk

	* sysdeps/i386/mempcpy_chk.S: Modified.
	* sysdeps/x86_64/mempcpy_chk.S: Modified.

2023-06-20  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 9e6863a537e66e01f5819dc356c5405a2bc67dc7
	hurd: readv: Get rid of alloca

	* sysdeps/posix/readv.c: Modified.
	(ifree): Modified function.
	(__readv): Modified function.
	(scratch_buffer.h): Include file.

2023-06-20  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: c6957bddb939a1a602824b9fa731fc45fb4a6d8c
	hurd: writev: Add back cleanup handler

	* sysdeps/posix/writev.c: Modified.
	(__writev): Modified function.
	(ifree): New function.

2023-06-19  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 4290aed05135ae4c0272006442d147f2155e70d7
	Fix misspellings -- BZ 25337

	* sysdeps/x86/cpu-features.c: Modified.
	* sysdeps/x86/dl-cacheinfo.h: Modified.

2023-06-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 2d88df541132f09454d947c498103aa7be76b652
	C2x scanf %b support

	* NEWS: Modified.
	* manual/stdio.texi: Modified.
	* stdio-common/tst-scanf-binary-main.c: Modified.
	(do_test): Modified function.
	[!__GNUC_PREREQ (12, 0)](DIAG_IGNORE_NEEDS_COMMENT): New.
	[!__GNUC_PREREQ (12, 0)](DIAG_IGNORE_NEEDS_COMMENT): New.
	(inttypes.h): Include file.
	(libc-diag.h): Include file.
	(DIAG_PUSH_NEEDS_COMMENT): New.
	(one_check_b): New function.
	(CHECK_SCNB): New.
	(one_check_scnb): New function.
	(DIAG_POP_NEEDS_COMMENT): New.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* stdlib/inttypes.h: Modified.
	[__GLIBC_USE (ISOC2X)](SCNb8): New.
	[__GLIBC_USE (ISOC2X)](SCNb16): New.
	[__GLIBC_USE (ISOC2X)](SCNb32): New.
	[__GLIBC_USE (ISOC2X)](SCNb64): New.
	[__GLIBC_USE (ISOC2X)](SCNbLEAST8): New.
	[__GLIBC_USE (ISOC2X)](SCNbLEAST16): New.
	[__GLIBC_USE (ISOC2X)](SCNbLEAST32): New.
	[__GLIBC_USE (ISOC2X)](SCNbLEAST64): New.
	[__GLIBC_USE (ISOC2X)](SCNbFAST8): New.
	[__GLIBC_USE (ISOC2X)](SCNbFAST16): New.
	[__GLIBC_USE (ISOC2X)](SCNbFAST32): New.
	[__GLIBC_USE (ISOC2X)](SCNbFAST64): New.
	[__GLIBC_USE (ISOC2X)](SCNbMAX): New.
	[__GLIBC_USE (ISOC2X)](SCNbPTR): New.

2023-06-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5f83b2674e42cd74257731b281f66d0442bf045f
	C2x printf %wN, %wfN support (bug 24466)

	* NEWS: Modified.
	* manual/stdio.texi: Modified.
	* stdio-common/Makefile: Modified.
	* stdio-common/printf-parse.h: Modified.
	(__parse_one_specmb): Modified.
	(__parse_one_specwc): Modified.
	* stdio-common/printf-parsemb.c: Modified.
	[! COMPILE_WPRINTF](__parse_one_specmb): Modified function.
	[COMPILE_WPRINTF](__parse_one_specwc): Modified function.
	* stdio-common/printf-prs.c: Modified.
	(parse_printf_format): Modified function.
	* stdio-common/tst-printf-intn-main.c: New file.
	* stdio-common/tst-printf-intn.c: New file.
	* stdio-common/vfprintf-internal.c: Modified.
	(STEP0_3_TABLE): Modified.
	(STEP4_TABLE): Modified.
	(Xprintf_buffer): Modified function.
	(printf_positional): Modified function.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-wprintf-intn.c: New file.

2023-06-19  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 8022fc7d5119a22e9e0ac72798f649385b0e167a
	tests: replace system by xsystem

	* elf/tst-stackguard1.c: Modified.
	(do_test): Modified function.
	(support/xstdlib.h): Include file.
	* libio/bug-mmap-fflush.c: Modified.
	(do_test): Modified function.
	(support/xstdlib.h): Include file.
	* nptl/tst-cancel7.c: Modified.
	(tf): Modified function.
	* nptl/tst-stackguard1.c: Modified.
	(do_test): Modified function.
	(support/xstdlib.h): Include file.
	* nss/tst-nss-db-endpwent.c: Modified.
	(do_test): Modified function.
	(support/xstdlib.h): Include file.
	* support/Makefile: Modified.
	* support/xstdlib.h: New file.
	* support/xsystem.c: New file.

2023-06-19  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 20b6b8e8a50874dd189687df8f6f8a11d4813b34
	tests: replace read by xread

	* dirent/tst-fdopendir.c: Modified.
	(do_test): Modified function.
	* nptl/tst-cleanup4.c: Modified.
	(fn_read): Modified function.
	(support/xunistd.h): Include file.
	* support/Makefile: Modified.
	* support/test-container.c: Modified.
	(main): Modified function.
	* support/xread.c: New file.
	* support/xunistd.h: Modified.
	(xread): New function.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-cancel11.c: Modified.
	(tf): Modified function.
	* sysdeps/pthread/tst-cancel20.c: Modified.
	(tf_body): Modified function.
	* sysdeps/pthread/tst-cancel21.c: Modified.
	(tf_body): Modified function.
	* sysdeps/pthread/tst-fini1mod.c: Modified.
	(tf): Modified function.
	(support/xunistd.h): Include file.

2023-06-19  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: cf30aa43a5917f441c9438aaee201c53c8e1d76b
	hurd: writev: Get rid of alloca

	* sysdeps/posix/writev.c: Modified.
	(ifree): Remove function.
	(__writev): Modified function.
	(scratch_buffer.h): Include file.

2023-06-18  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 01dd2875f85213b26beefb66caad3564da89d1d1
	grantpt: Get rid of alloca

	* sysdeps/unix/grantpt.c: Modified.
	(grantpt): Modified function.
	(scratch_buffer.h): Include file.

2023-06-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1d44530a5be2442e064baa48139adc9fdfb1fc6b
	string: strerror must not return NULL (bug 30555)

	* string/Makefile: Modified.
	* string/strerror_l.c: Modified.
	(__strerror_l): Modified function.
	* string/tst-strerror-fail.c: New file.

2023-06-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 388ae538ddcb05c7d8966147b488a5f6e481656e
	hurd: Add strlcpy, strlcat, wcslcpy, wcslcat to libc.abilist

	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.

2023-06-14  Paul Eggert  <eggert@cs.ucla.edu>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: d2fda60e7c4072180ba91df46bbbdacc0f4a133c
	manual: Manual update for strlcat, strlcpy, wcslcat, wclscpy

	* manual/maint.texi: Modified.
	* manual/string.texi: Modified.

2023-06-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b54e5d1c9257cf1f55f46613aa438bce8fe73d10
	Add the wcslcpy, wcslcat functions

	* debug/Makefile: Modified.
	* debug/Versions: Modified.
	* debug/tst-fortify.c: Modified.
	(do_test): Modified function.
	* debug/wcslcat_chk.c: New file.
	* debug/wcslcpy_chk.c: New file.
	* include/wchar.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__wcslcat): New.
	[! _ISOMAC](__wcslcpy): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/Versions: Modified.
	* wcsmbs/bits/wchar2.h: Modified.
	[__USE_MISC](__wcslcpy_chk): New.
	[__USE_MISC](__REDIRECT_NTH): New.
	[__USE_MISC](__NTH): New.
	[__USE_MISC](__wcslcat_chk): New.
	[__USE_MISC](__REDIRECT_NTH): New.
	[__USE_MISC](__NTH): New.
	* wcsmbs/tst-wcslcat.c: New file.
	* wcsmbs/tst-wcslcpy.c: New file.
	* wcsmbs/wchar.h: Modified.
	[__USE_MISC](wcslcpy): New.
	[__USE_MISC](wcslcat): New.
	* wcsmbs/wcslcat.c: New file.
	* wcsmbs/wcslcpy.c: New file.

2023-06-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 454a20c8756c9c1d55419153255fc7692b3d2199
	Implement strlcpy and strlcat [BZ #178]

	* NEWS: Modified.
	* debug/Makefile: Modified.
	* debug/Versions: Modified.
	* debug/strlcat_chk.c: New file.
	* debug/strlcpy_chk.c: New file.
	* debug/tst-fortify.c: Modified.
	(do_test): Modified function.
	* include/string.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__strlcpy): New.
	[! _ISOMAC](__strlcat): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* string/Makefile: Modified.
	* string/Versions: Modified.
	* string/bits/string_fortified.h: Modified.
	[__USE_MISC](__strlcpy_chk): New function.
	[__USE_MISC](__REDIRECT_NTH): New function.
	[__USE_MISC](__NTH): New function.
	[__USE_MISC](__strlcat_chk): New function.
	[__USE_MISC](__REDIRECT_NTH): New function.
	[__USE_MISC](__NTH): New function.
	* string/string.h: Modified.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_GNU][__GNUC_PREREQ (3,4)][__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/string_fortified.h): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][! __CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strverscmp): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strfry): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](memfrob): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][! __USE_GNU][__GNUC_PREREQ (3,4)][__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/string_fortified.h): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU][! basename][! __CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU](strverscmp): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU](strfry): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_MISC][__USE_GNU](memfrob): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_MISC](strlcpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_MISC](strlcat): New.
	* string/strlcat.c: New file.
	* string/strlcpy.c: New file.
	* string/tst-strlcat.c: New file.
	* string/tst-strlcpy.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2023-06-13  Frederic Berat  <fberat@redhat.com>

	COMMIT: 7ba426a1115318fc11f4355f3161f35817a06ba4
	tests: replace fgets by xfgets

	* assert/test-assert-perr.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* assert/test-assert.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/test_rdwr.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* support/Makefile: Modified.
	* support/xfgets.c: New file.
	* support/xstdio.h: Modified.
	(xfgets): New function.
	* sysdeps/pthread/tst-cancel6.c: Modified.
	(tf): Modified function.
	(support/xstdio.h): Include file.

2023-06-13  Frederic Berat  <fberat@redhat.com>

	COMMIT: a84dcb4bdfe5070f2327da693d8b025c89b4877a
	tests: replace fread by xfread

	* libio/bug-fseek.c: Modified.
	(do_test): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/bug12.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/bug3.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/bug4.c: Modified.
	(main): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/tst-cookie.c: Modified.
	(do_test): Modified function.
	(support/xstdio.h): Include file.
	* stdio-common/tst-fmemopen3.c: Modified.
	(print_buffer): Modified function.
	(support/xstdio.h): Include file.
	* support/Makefile: Modified.
	* support/xfread.c: New file.
	* support/xstdio.h: Modified.
	(xfread): New function.

2023-06-13  Dridi Boukelmoune  <dridi.boukelmoune@gmail.com>

	COMMIT: 127c21c0e2f669454835f78fc03079866282c19b
	posix: Add test case for gai_strerror()

	* posix/Makefile: Modified.
	* posix/tst-gai_strerror.c: New file.

2023-06-13  Dridi Boukelmoune  <dridi.boukelmoune@gmail.com>

	COMMIT: 658f601f2ae3230559f7e9c629053bd2890dcf82
	posix: Handle success in gai_strerror()

	* sysdeps/posix/gai_strerror-strs.h: Modified.

2023-06-13  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: eaa5b1cce87d34c945955360b1e519c6994308a1
	LoongArch: Add support for dl_runtime_profile

	* sysdeps/loongarch/Makefile: Modified.
	* sysdeps/loongarch/dl-link.sym: New file.
	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/loongarch/dl-trampoline.S: Modified.
	* sysdeps/loongarch/sys/asm.h: Modified.
	(SUB): New.

2023-06-12  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 94384bdf3955e59f508a6d927065fe0aa824d82b
	malloc: Decrease resource usage for malloc tests

	* malloc/Makefile: Modified.

2023-06-12  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: e6ce346d0791410a2e6ec9df1bc35e6acd4bca18
	stdlib: Tune down fork arc4random tests

	* stdlib/tst-arc4random-fork.c: Modified.
	(<anonymous>): Modified.

2023-06-12  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 31df9fa8ff79ff5e5aeb245232e474ce21028b74
	tst-getdate: Improve testcase flexibility and add test.

	* time/tst-getdate.c: Modified.
	(<anonymous>): Modified.
	(report_date_error): Modified function.

2023-06-12  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 180897c161a171d8ef0faee1c6c9fd6b57d8b13b
	x86: Make the divisor in setting `non_temporal_threshold` cpu specific

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.
	* sysdeps/x86/dl-diagnostics-cpu.c: Modified.
	(_dl_diagnostics_cpu): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(cpu_features): Modified.

2023-06-12  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: f193ea20eddc6cef84cba54cf1a647204ee6a86b
	x86: Refactor Intel `init_cpu_features`

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	(<anonymous>): New.
	(intel_get_fam6_microarch): New function.

2023-06-12  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: af992e7abdc9049714da76cae1e5e18bc4838fb8
	x86: Increase `non_temporal_threshold` to roughly `sizeof_L3 / 4`

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(get_common_cache_info): Modified function.
	(dl_init_cacheinfo): Modified function.

2023-06-09  Martin Coufal  <mcoufal@redhat.com>

	COMMIT: 5e8d1b0328a850c229146f40e18848728b104583
	Remove unused DATEMSK file for tst-getdate

	* time/Makefile: Modified.
	* time/datemsk: Delete file.
	* time/tst-getdate.c: Modified.
	(report_date_error): Modified function.

2023-06-07  Andreas Schwab  <schwab@suse.de>

	COMMIT: abcf8db7fa46b73fd5b8193ce11f9312301b84c7
	resolv_conf: release lock on allocation failure (bug 30527)

	* resolv/resolv_conf.c: Modified.
	(get_locked_global): Modified function.

2023-06-06  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 85e6d8b4175fcb195011a0a1bad37d6f3b2355db
	time: Fix use-after-free in getdate

	* time/getdate.c: Modified.
	(__getdate_r): Modified function.

2023-06-06  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 200ae471b65354eed6f1bc7658f898f2f380951a
	Move {read,write}_all functions to a dedicated header

	* catgets/gencat.c: Modified.
	(write_all): Remove function.
	(unistd_ext.h): Include file.
	* include/unistd_ext.h: New file.
	* malloc/memusage.c: Modified.
	(write_all): Remove function.
	(unistd_ext.h): Include file.
	* malloc/memusagestat.c: Modified.
	(read_all): Remove function.
	(write_all): Remove function.
	(unistd_ext.h): Include file.

2023-06-06  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: f6a532fbd0f430dc4ded254d713d89fcbafc1b7e
	tests: Replace various function calls with their x variant

	* misc/tst-error1.c: Modified.
	(do_test): Modified function.
	(support/xstdio.h): Include file.
	* nss/tst-reload2.c: Modified.
	(do_test): Modified function.
	* posix/tst-chmod.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* posix/wordexp-test.c: Modified.
	(command_line_test): Modified function.
	* stdlib/test-canon.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.

2023-06-06  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 8c4f69d711481a18c70cb9a6c0a5367604894320
	tests: fix warn unused result on asprintf calls

	* argp/argp-test.c: Modified.
	(help_filter): Modified function.
	(support/support.h): Include file.
	* posix/tst-execl2.c: Modified.
	(prepare): Modified function.
	* posix/tst-execle2.c: Modified.
	(prepare): Modified function.
	* posix/tst-execlp2.c: Modified.
	(prepare): Modified function.
	(do_test): Modified function.
	* posix/tst-execv2.c: Modified.
	(prepare): Modified function.
	* posix/tst-execve2.c: Modified.
	(prepare): Modified function.
	* posix/tst-execvp2.c: Modified.
	(prepare): Modified function.
	(do_test): Modified function.
	* stdio-common/bug5.c: Modified.
	(main): Modified function.
	(support/support.h): Include file.
	* stdio-common/test-fwrite.c: Modified.
	(do_test): Modified function.
	(support/support.h): Include file.
	* stdio-common/tst-fseek.c: Modified.
	(do_test): Modified function.
	(support/support.h): Include file.

2023-06-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7d421209287a07db5e926552ae5fbe9d8abb50dc
	pthreads: Use _exit to terminate the tst-stdio1 test

	* sysdeps/pthread/tst-stdio1.c: Modified.
	(do_test): Modified function.

2023-06-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 047703fbb88eb38fbe973f3abedb279382f181d0
	support: Add delayed__exit (with two underscores)

	* support/delayed_exit.c: Modified.
	(delayed_exit_thread): Modified function.
	(delayed_exit): Modified function.
	(support/support.h): Include file.
	(unistd.h): Include file.
	(delayed_exit_request): New.
	(delayed_exit_1): New function.
	(delayed__exit): New function.
	* support/xthread.h: Modified.
	(delayed__exit): New function.

2023-06-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e3622a8f391deea3b75a577dce70d023dfa3f1c7
	time: Also check for EPERM while trying to clock_settime

	* time/tst-clock2.c: Modified.
	[!(CLOCK_MONOTONIC &&  _POSIX_MONOTONIC_CLOCK)](TEST_FUNCTION): Remove.
	[CLOCK_MONOTONIC &&  _POSIX_MONOTONIC_CLOCK](errno.h): Remove.
	[CLOCK_MONOTONIC &&  _POSIX_MONOTONIC_CLOCK](stdio.h): Remove.
	[CLOCK_MONOTONIC &&  _POSIX_MONOTONIC_CLOCK](do_test): Remove.
	[CLOCK_MONOTONIC &&  _POSIX_MONOTONIC_CLOCK](TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(errno.h): Include file.
	(support/check.h): Include file.
	(do_test): New function.
	(support/test-driver.c): Include file.

2023-06-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d4963a844dc72c4ac14da3395cf511f3d191d689
	linux: Fail as unsupported if personality call is filtered

	* sysdeps/unix/sysv/linux/tst-personality.c: Modified.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/check.h): Include file.
	(support/test-driver.c): Include file.

2023-06-05  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: be9b883ddd12acd2baa517fd1b5b8c8be22f733a
	Remove MAP_VARIABLE from hppa bits/mman.h

	* sysdeps/unix/sysv/linux/hppa/bits/mman.h: Modified.
	(MAP_VARIABLE): Remove.

2023-06-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 67f704ab69e2305c2b9043d3451df33edbf99b05
	hurd: Fix x86_64 sigreturn restoring bogus reply_port

	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.

2023-06-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 547de57e5a54d3a02733523b75f261e95fc71579
	Add lint-makefiles Makefile linting test.

	* Makefile: Modified.
	* scripts/lint-makefiles.sh: New file.

2023-06-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ac14b7ee0620268544a2401c06824dc7d0aeb6a2
	elf: Sort Makefile variables.

	* elf/Makefile: Modified.

2023-06-02  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 2cbeda847bb58bfac73d2048e3e0300ff1b2b894
	Fix a few more typos I missed in previous round -- BZ 25337

	* elf/tst-ldconfig-p.sh: Modified.
	* include/clone_internal.h: Modified.
	* include/set-freeres.h: Modified.
	* malloc/tst-malloc-tcache-leak.c: Modified.
	* scripts/sort-makefile-lines.py: Modified.
	* stdio-common/vfprintf-process-arg.c: Modified.
	* stdlib/test-atexit-recursive.c: Modified.
	* sysdeps/aarch64/fpu/advsimd_utils.h: Modified.
	* sysdeps/alpha/alphaev6/memcpy.S: Modified.
	* sysdeps/hppa/nptl/bits/struct_rwlock.h: Modified.
	* sysdeps/mach/hurd/x86_64/localplt.data: Modified.
	* sysdeps/x86/htl/pt-machdep.h: Modified.

2023-06-02  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 7f0d9e61f40c669fca3cfd1e342fa8236c7220b7
	Fix all the remaining misspellings -- BZ 25337

	* Suppressing diff as too many files differ.

2023-06-01  Alejandro Colomar  <alx.manpages@gmail.com>

	COMMIT: 5013f6fc6c44160e8ec6bcd34ba676e85d9d6ab6
	Use __nonnull for the epoll_wait(2) family of syscalls

	* include/sys/epoll.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__epoll_pwait2_time64): Remove.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): Remove.
	[! _ISOMAC][__TIMESIZE != 64](__epoll_pwait2_time64): New.
	* sysdeps/unix/sysv/linux/sys/epoll.h: Modified.
	[! __USE_TIME_BITS64](epoll_pwait2): Modified.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): Modified.
	(epoll_wait): Modified.
	(epoll_pwait): Modified.

2023-06-01  Alejandro Colomar  <alx.manpages@gmail.com>

	COMMIT: cc5372806a4bf34cb5c9038d1716b5ea6202abd0
	Fix invalid use of NULL in epoll_pwait2(2) test

	* sysdeps/unix/sysv/linux/tst-epoll.c: Modified.
	(do_test): Modified function.

2023-06-01  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 884012db2046fce17bea0f35210ee424cc60ae06
	getipv4sourcefilter: Get rid of alloca

	* sysdeps/unix/sysv/linux/getipv4sourcefilter.c: Modified.
	(alloca.h): Remove include.
	(getipv4sourcefilter): Modified function.
	(scratch_buffer.h): Include file.

2023-06-01  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: d1eaab5a7932cda190cbbfa657c684059b141c19
	getsourcefilter: Get rid of alloca.

	* sysdeps/unix/sysv/linux/getsourcefilter.c: Modified.
	(alloca.h): Remove include.
	(getsourcefilter): Modified function.
	(scratch_buffer.h): Include file.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 29e25f6f136182fb3756d51e03dea7c4d1919dd9
	tests: fix warn unused results

	* crypt/cert.c: Modified.
	[TEST_COMPAT (libcrypt, GLIBC_2_0, GLIBC_2_28)](get8): Modified function.
	* misc/tst-efgcvt-template.c: Modified.
	(special): Modified function.
	* posix/tst-nice.c: Modified.
	(do_test): Modified function.
	* posix/wordexp-test.c: Modified.
	(command_line_test): Modified function.
	* stdio-common/bug19.c: Modified.
	(do_test): Modified function.
	* stdio-common/bug6.c: Modified.
	(main): Modified function.
	* stdio-common/tstscanf.c: Modified.
	(main): Modified function.
	* stdlib/test-canon.c: Modified.
	(do_test): Modified function.
	* support/test-container.c: Modified.
	(check_for_unshare_hints): Modified function.
	* sysdeps/pthread/tst-cancel16.c: Modified.
	(tf): Modified function.
	* sysdeps/pthread/tst-cancel4.c: Modified.
	(tf_pread): Modified function.
	(tf_pwrite): Modified function.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: a952fcda58cd7aa191140fc9e7d453df212b9117
	nptl_db/thread_dbP.h: fix warn unused result

	* nptl_db/thread_dbP.h: Modified.
	[! NDEBUG](LOG): Modified.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: b97c5efdcae89d17c8ea715a5b814aab9d3cf618
	malloc/{memusage.c, memusagestat.c}: fix warn unused result

	* malloc/memusage.c: Modified.
	(update_data): Modified function.
	(me): Modified function.
	(dest): Modified function.
	(errno.h): Include file.
	(error.h): Include file.
	(libintl.h): Include file.
	(write_all): New function.
	* malloc/memusagestat.c: Modified.
	(main): Modified function.
	(read_all): New function.
	(write_all): New function.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: e76ff03108f427e8629d24599c6c1bad8b8b35dd
	catgets/gencat.c: fix warn unused result

	* catgets/gencat.c: Modified.
	(write_out): Modified function.
	(write_all): New function.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 32043daaafcd59793b9addf7af1bcedb3b666f09
	tests: replace ftruncate by xftruncate

	* io/tst-copy_file_range.c: Modified.
	(short_copy): Modified function.
	* posix/tst-getopt-cancel.c: Modified.
	(check_stderr): Modified function.
	(support/xunistd.h): Include file.
	* stdio-common/tst-perror.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.

2023-06-01  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 026a84a54d3b6c23b999b793e2a6f8ecd211e3b8
	tests: replace write by xwrite

	* dirent/tst-fdopendir.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-faccessat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-fchmodat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-fchownat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-fstatat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-futimesat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-linkat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-openat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-renameat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-symlinkat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* io/tst-unlinkat.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* libio/bug-ungetc.c: Modified.
	(do_prepare): Modified function.
	(support/xunistd.h): Include file.
	* libio/bug-ungetc3.c: Modified.
	(do_prepare): Modified function.
	(support/xunistd.h): Include file.
	* libio/bug-ungetc4.c: Modified.
	(do_prepare): Modified function.
	(support/xunistd.h): Include file.
	* libio/bug-wfflush.c: Modified.
	(do_prepare): Modified function.
	(support/xunistd.h): Include file.
	* libio/bug-wsetpos.c: Modified.
	(do_prepare): Modified function.
	(support/xunistd.h): Include file.
	* nptl/tst-stackguard1.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* nptl/tst-tls3.c: Modified.
	(support/xunistd.h): Include file.
	* nptl/tst-tls3mod.c: Modified.
	(handler): Modified function.
	(support/xunistd.h): Include file.
	* rt/tst-cpuclock2.c: Modified.
	[!((_POSIX_THREADS - 0) <= 0)](chew_cpu): Modified function.
	[!((_POSIX_THREADS - 0) <= 0)](support/xunistd.h): Include file.
	* rt/tst-cputimer1.c: Modified.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](chew_cpu): Modified function.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](support/xunistd.h): Include file.
	* rt/tst-cputimer2.c: Modified.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](chew_cpu): Modified function.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](support/xunistd.h): Include file.
	* rt/tst-cputimer3.c: Modified.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](chew_cpu): Modified function.
	[_POSIX_THREADS &&  _POSIX_CPUTIME](support/xunistd.h): Include file.
	* support/test-container.c: Modified.
	(main): Modified function.
	* sysdeps/pthread/tst-cond18.c: Modified.
	(tf): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-flock1.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-flock2.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-key1.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-signal1.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-signal2.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* sysdeps/pthread/tst-timer.c: Modified.
	(signal_func): Modified function.
	(support/xunistd.h): Include file.
	* time/tst-cpuclock1.c: Modified.
	(chew_cpu): Modified function.
	(support/xunistd.h): Include file.

2023-06-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a8c888997845c5192e446176374c2e13bb3e2195
	x86-64: Use YMM registers in memcmpeq-evex.S

	* sysdeps/x86_64/multiarch/memcmpeq-evex.S: Modified.

2023-06-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 6286cca2cb8389dcffec39238a8bf15ffea96396
	support: Don't fail on fchown when spawning sgid processes

	* support/support_capture_subprocess.c: Modified.
	(copy_and_spawn_sgid): Modified function.

2023-05-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5f828ff824e3b7cd133ef905b8ae25ab8a8f3d66
	io: Fix F_GETLK, F_SETLK, and F_SETLKW for powerpc64

	* sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h: Modified.
	[__WORDSIZE == 64](F_GETLK): New.
	[__WORDSIZE == 64](F_SETLK): New.
	[__WORDSIZE == 64](F_SETLKW): New.

2023-05-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b376bb01fb343c4bd9a4ec30604dcd1fcbc04ff1
	elf: Remove spurios SHARED conditional from elf/rtld.c

	* elf/rtld.c: Modified.
	(dl_main): Modified function.

2023-05-30  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 65cc53fe7c6556b90159b8c3da1eb283792387db
	Fix misspellings in sysdeps/ -- BZ 25337

	* Suppressing diff as too many files differ.

2023-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4d0fe291aed3a476a3b59c4ecfae9d35ac0f15e8
	io: Fix record locking contants on 32 bit arch with 64 bit default time_t (BZ#30477)

	* io/Makefile: Modified.
	* io/tst-fcntl-lock.c: New file.
	* io/tst-lockf.c: Modified.
	(do_prepare): Modified function.
	(do_test_child_lockf): Modified function.
	(do_test_child_lockf64): Modified function.
	(do_test): Modified function.
	[! LOCKF](LOCKF): New.
	[! LOCKF64](LOCKF64): New.
	[! TST_LOCKFD](TST_LOCKFD): New.
	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[! F_GETLK][! __USE_FILE_OFFSET64](F_GETLK): Remove.
	[! F_GETLK][! __USE_FILE_OFFSET64](F_SETLK): Remove.
	[! F_GETLK][! __USE_FILE_OFFSET64](F_SETLKW): Remove.
	[! F_GETLK][__USE_FILE_OFFSET64](F_GETLK): Remove.
	[! F_GETLK][__USE_FILE_OFFSET64](F_SETLK): Remove.
	[! F_GETLK][__USE_FILE_OFFSET64](F_SETLKW): Remove.
	[! F_GETLK][! __USE_FILE_OFFSET64 && __TIMESIZE != 64](F_GETLK): New.
	[! F_GETLK][! __USE_FILE_OFFSET64 && __TIMESIZE != 64](F_SETLK): New.
	[! F_GETLK][! __USE_FILE_OFFSET64 && __TIMESIZE != 64](F_SETLKW): New.
	[! F_GETLK][!(! __USE_FILE_OFFSET64 && __TIMESIZE != 64)](F_GETLK): New.
	[! F_GETLK][!(! __USE_FILE_OFFSET64 && __TIMESIZE != 64)](F_SETLK): New.
	[! F_GETLK][!(! __USE_FILE_OFFSET64 && __TIMESIZE != 64)](F_SETLKW): New.

2023-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1512599694d0ead4394c0950525fdab09332faf5
	io: Re-flow and sort multiline Makefile definitions

	* io/Makefile: Modified.

2023-05-30  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d0f07f7df8d9758c838674b70144ac73bcbd1634
	elf: Make more functions available for binding during dlclose (bug 30425)

	* elf/Makefile: Modified.
	* elf/dl-lookup.c: Modified.
	(do_lookup_x): Modified function.
	* elf/tst-dlclose-lazy-mod1.c: New file.
	* elf/tst-dlclose-lazy-mod2.c: New file.
	* elf/tst-dlclose-lazy.c: New file.

2023-05-30  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 3eed5f3a1ee356969afb403a1cf18d06f8d2d98a
	LoongArch: Fix inconsistency in SHMLBA macro values between glibc and kernel

	* sysdeps/unix/sysv/linux/loongarch/bits/shmlba.h: New file.

2023-05-29  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 630da022cb07d67ab53b4e9335352e44e9b7c5e2
	Fix misspellings in elf/ -- BZ 25337

	* elf/Makefile: Modified.
	* elf/cache.c: Modified.
	* elf/dl-cache.c: Modified.
	* elf/dl-catch.c: Modified.
	[IS_IN (rtld)](_dl_signal_cerror): Modified function.
	(_dl_signal_error): Modified function.
	* elf/dl-dst.h: Modified.
	* elf/dl-find_object.c: Modified.
	* elf/dl-fptr.c: Modified.
	* elf/dl-load.c: Modified.
	* elf/dl-minimal.c: Modified.
	* elf/dl-profile.c: Modified.
	* elf/dl-support.c: Modified.
	* elf/dl-tls.c: Modified.
	* elf/dl-version.c: Modified.
	* elf/dynamic-link.h: Modified.
	* elf/elf.h: Modified.
	* elf/ldconfig.c: Modified.
	* elf/reldep.c: Modified.
	* elf/reldep2.c: Modified.
	* elf/reldep3.c: Modified.
	* elf/reldep5.c: Modified.
	(main): Modified function.
	* elf/rtld.c: Modified.
	* elf/sprof.c: Modified.
	* elf/tst-leaks1.c: Modified.
	* elf/tst-nodelete-dlclose-dso.c: Modified.
	* elf/tst-nodelete-dlclose-plugin.c: Modified.
	* elf/tst-pldd.c: Modified.
	* elf/tst-protected1a.c: Modified.
	* elf/tst-protected1b.c: Modified.
	* elf/tst-tls-manydynamic.c: Modified.
	* elf/tst-tls20.c: Modified.
	* elf/vismain.c: Modified.

2023-05-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a1950a07583f63f220f30ba7d99ceb619b80ecce
	riscv: Add the clone3 wrapper

	* sysdeps/unix/sysv/linux/riscv/clone3.S: New file.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLONE3_WRAPPER): New.

2023-05-29  Dridi Boukelmoune  <dridi.boukelmoune@gmail.com>

	COMMIT: 33d7c0e1cb712a3b7ea46d7f88569721805bc2db
	posix: Add error message for EAI_OVERFLOW

	* sysdeps/posix/gai_strerror-strs.h: Modified.

2023-05-29  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: d9055634a34d4bcb242f84f36c9a7bb1c4019076
	setsourcefilter: Replace alloca with a scratch_buffer.

	* sysdeps/unix/sysv/linux/setsourcefilter.c: Modified.
	(alloca.h): Remove include.
	(stdlib.h): Remove include.
	(stdint.h): Remove include.
	(sys/socket.h): Remove include.
	(setsourcefilter): Modified function.
	(scratch_buffer.h): Include file.

2023-05-29  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 79b2667d1eb06c6503c22f2f323c1c574ac5917b
	time: strftime_l: Avoid an unbounded alloca.

	* time/strftime_l.c: Modified.
	[COMPILE_WIDE](widen): Remove.
	(__strftime_internal): Modified function.

2023-05-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ed2f9dc9420c4c61436328778a70459d0a35556a
	x86: Use 64MB as nt-store threshold if no cacheinfo [BZ #30429]

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2023-05-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9ffdcf5b79acacffc35506812ca8d99ea1dde618
	hurd: Fix setting up signal thread stack alignment

	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.

2023-05-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0660ab264fdfd49555430790267b539d1177192f
	mach: Fix startup with stack protector

	* mach/Makefile: Modified.

2023-05-27  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 64d9ebae87731f1604a41e9df9bbe3c80c6cb5b8
	Fix misspellings in manual/ -- BZ 25337

	* manual/README.pretty-printers: Modified.
	* manual/arith.texi: Modified.
	* manual/install.texi: Modified.
	* manual/intro.texi: Modified.
	* manual/ipc.texi: Modified.
	* manual/llio.texi: Modified.
	* manual/memory.texi: Modified.
	* manual/pattern.texi: Modified.
	* manual/process.texi: Modified.
	* manual/socket.texi: Modified.
	* manual/threads.texi: Modified.
	* manual/time.texi: Modified.
	* manual/tunables.texi: Modified.

2023-05-27  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: f58a8c1c15d8b5d8a08e8553f82867202b88a5cc
	Fix misspellings in iconv/ and iconvdata/ -- BZ 25337

	* iconv/gconv_charset.c: Modified.
	* iconv/gconv_charset.h: Modified.
	* iconv/gconv_conf.c: Modified.
	* iconv/gconv_int.h: Modified.
	* iconv/gconv_simple.c: Modified.
	(internal_ucs4_loop): Modified function.
	(internal_ucs4_loop_single): Modified function.
	(internal_ucs4le_loop): Modified function.
	* iconv/iconv_prog.c: Modified.
	* iconv/iconvconfig.c: Modified.
	* iconvdata/bug-iconv8.c: Modified.
	* iconvdata/ibm1364.c: Modified.
	* iconvdata/ibm930.c: Modified.
	* iconvdata/ibm933.c: Modified.
	* iconvdata/ibm935.c: Modified.
	* iconvdata/ibm937.c: Modified.
	* iconvdata/ibm939.c: Modified.
	* iconvdata/iso-2022-cn-ext.c: Modified.
	* iconvdata/iso-2022-cn.c: Modified.
	* iconvdata/iso-2022-jp-3.c: Modified.
	* iconvdata/iso-2022-jp.c: Modified.
	* iconvdata/iso-2022-kr.c: Modified.
	* iconvdata/iso646.c: Modified.
	* iconvdata/sjis.c: Modified.
	* iconvdata/tst-table.sh: Modified.

2023-05-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 9a51f4e2b6668d14a125bdb2abd0fe6b8102eed1
	Add MFD_NOEXEC_SEAL, MFD_EXEC from Linux 6.3 to bits/mman-shared.h

	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU][! MFD_NOEXEC_SEAL](MFD_NOEXEC_SEAL): New.
	[__USE_GNU][! MFD_NOEXEC_SEAL](MFD_EXEC): New.

2023-05-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a33c211b117016cab1069f9f1dd9285f0c00a506
	Add IP_LOCAL_PORT_RANGE from Linux 6.3 to bits/in.h

	* sysdeps/unix/sysv/linux/bits/in.h: Modified.
	(IP_LOCAL_PORT_RANGE): New.

2023-05-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 8754a4133e154ca853e6765a3fe5c7a904c77626
	Add AT_RSEQ_* from Linux 6.3 to elf.h

	* elf/elf.h: Modified.
	(AT_RSEQ_FEATURE_SIZE): New.
	(AT_RSEQ_ALIGN): New.

2023-05-26  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 02f3d4c53a81f4c9954fbd5502f2e4fe1ab25edd
	setipv4sourcefilter: Avoid using alloca.

	* sysdeps/unix/sysv/linux/setipv4sourcefilter.c: Modified.
	(alloca.h): Remove include.
	(setipv4sourcefilter): Modified function.
	(scratch_buffer.h): Include file.

2023-05-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a363f7075125fa654342c69331e6c075518ec28c
	wchar: Define va_list for POSIX (BZ #30035)

	* conform/data/wchar.h-data: Modified.
	* wcsmbs/wchar.h: Modified.
	[__USE_XOPEN2K ||  __USE_XOPEN2K8][! __GNUC__](stdarg.h): New.
	[__USE_XOPEN2K ||  __USE_XOPEN2K8][__GNUC__][! _VA_LIST_DEFINED](va_list): New.
	[__USE_XOPEN2K ||  __USE_XOPEN2K8][__GNUC__][! _VA_LIST_DEFINED](_VA_LIST_DEFINED): New.

2023-05-25  Roy Eldar  <royeldar0@gmail.com>

	COMMIT: d2b1af43057c2bde5b180868a67d2b2bc2de95b7
	elf: add test for dl-printf

	* elf/Makefile: Modified.
	* elf/tst-dl-printf-static.c: New file.

2023-05-25  Roy Eldar  <royeldar0@gmail.com>

	COMMIT: dae801527386f94e9d2fabf23c37863d1b599153
	elf: fix handling of negative numbers in dl-printf

	* elf/dl-printf.c: Modified.
	(_dl_debug_vdprintf): Modified function.

2023-05-25  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 44d4d3bdcff67c7fa0b0c046fef9919e9c66c1b2
	elf: Update comment in open_path

	* elf/dl-load.c: Modified.

2023-05-25  Qixing ksyx Xue  <qixingxue@outlook.com>

	COMMIT: dbfc83bdcab941ce04200f97879f2a79fd0f2a0b
	elf: Add test for locating libraries in root dir (bug 30435)

	* elf/Makefile: Modified.
	* elf/tst-rootdir-lib.c: New file.
	* elf/tst-rootdir.c: New file.
	* elf/tst-rootdir.root/preclean.req: New file.
	* elf/tst-rootdir.script: New file.

2023-05-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a118dc312946ca5347f8f6e8e9221444677bc029
	io: Re-flow and sort multiline Makefile definitions

	* io/Makefile: Modified.

2023-05-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 95c9a6e806226cbf174c92efc021a0d464f170a4
	Fix special case for C2x strtol binary constant handling (BZ# 30371)

	* stdlib/strtol_l.c: Modified.
	(INTERNAL): Modified function.
	* stdlib/tst-strtol-binary-c11.c: Modified.
	(WIDE): New.
	* stdlib/tst-strtol-binary-c2x.c: Modified.
	(WIDE): New.
	* stdlib/tst-strtol-binary-gnu11.c: Modified.
	(WIDE): New.
	* stdlib/tst-strtol-binary-gnu2x.c: Modified.
	(WIDE): New.
	* stdlib/tst-strtol-binary-main.c: Modified.
	(CHECK_RES): Modified.
	(one_check): Modified function.
	(do_test): Modified function.
	[! WIDE](STRCHR): New.
	[WIDE](STRCHR): New.
	(string.h): Include file.
	* wcsmbs/tst-wcstol-binary-c11.c: Modified.
	(WIDE): New.
	* wcsmbs/tst-wcstol-binary-c2x.c: Modified.
	(WIDE): New.
	* wcsmbs/tst-wcstol-binary-gnu11.c: Modified.
	(WIDE): New.
	* wcsmbs/tst-wcstol-binary-gnu2x.c: Modified.
	(WIDE): New.

2023-05-25  Andreas Schwab  <schwab@suse.de>

	COMMIT: e0189b25403f8b67e7a5513d6c33fb09cb2e5e20
	rtld: properly handle root directory in load path (bug 30435)

	* elf/dl-load.c: Modified.
	(open_path): Modified function.

2023-05-24  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 7aec73c40691b7dfa48d22941ff72238aebe82eb
	sysdeps/pthread/eintr.c: fix warn unused result

	* sysdeps/pthread/eintr.c: Modified.
	(eintr_handler): Modified function.

2023-05-24  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: a961e16ff67e62b26e23d43f323c718ffcf84e1e
	sunrpc/netname.c: fix warn unused result

	* sunrpc/netname.c: Modified.
	(host2netname): Modified function.

2023-05-24  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: d4ad86a0e1ca45517298307bd6ea47a27bd7a346
	locale/programs/locarchive.c: fix warn unused result

	* locale/programs/locarchive.c: Modified.
	(add_locale_to_archive): Modified function.

2023-05-23  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: da55fae9e277a0c138d4395fee505e5d2f8b2b84
	support: Reformat Makefile.

	* support/Makefile: Modified.

2023-05-23  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 6b3ddc9ae57763b188fec63da7740b7ab2ec6edb
	Regenerate configure fragment -- BZ 25337.

	* sysdeps/powerpc/powerpc64/configure: Modified.

2023-05-23  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 0b25c28e028b63c95108c442d8112811107e4c13
	Fix misspellings in sysdeps/powerpc -- BZ 25337

	* sysdeps/powerpc/atomic-machine.h: Modified.
	* sysdeps/powerpc/bits/setjmp.h: Modified.
	* sysdeps/powerpc/powerpc32/405/memcpy.S: Modified.
	* sysdeps/powerpc/powerpc32/405/memset.S: Modified.
	* sysdeps/powerpc/powerpc32/476/memset.S: Modified.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase-power7.c: Modified.
	* sysdeps/powerpc/powerpc32/power4/multiarch/strncase_l-power7.c: Modified.
	* sysdeps/powerpc/powerpc64/configure.ac: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirect-macros.h: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc.h: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128_private.h: Modified.
	* sysdeps/powerpc/powerpc64/power7/memmove.S: Modified.
	* sysdeps/powerpc/powerpc64/power7/strcmp.S: Modified.
	* sysdeps/powerpc/powerpc64/power7/strncpy.S: Modified.
	* sysdeps/powerpc/powerpc64/power7/strrchr.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strcasestr.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strcmp.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strlen.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strncmp.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strncpy.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strnlen.S: Modified.
	* sysdeps/powerpc/powerpc64/power8/strrchr.S: Modified.
	* sysdeps/powerpc/powerpc64/setjmp-bug21895.c: Modified.

2023-05-23  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: d13733c166b71ac05056f553f0afdc8a363b2820
	Fix misspellings in sysdeps/unix -- BZ 25337

	* sysdeps/unix/sysv/linux/aarch64/ucontext-internal.h: Modified.
	* sysdeps/unix/sysv/linux/alpha/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/alpha/ioperm.c: Modified.
	* sysdeps/unix/sysv/linux/arc/bits/procfs.h: Modified.
	* sysdeps/unix/sysv/linux/arc/clone.S: Modified.
	* sysdeps/unix/sysv/linux/arc/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/arch-fork.h: Modified.
	* sysdeps/unix/sysv/linux/bits/local_lim.h: Modified.
	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	* sysdeps/unix/sysv/linux/bits/posix_opt.h: Modified.
	* sysdeps/unix/sysv/linux/bits/siginfo-consts.h: Modified.
	* sysdeps/unix/sysv/linux/bits/termios-tcflow.h: Modified.
	* sysdeps/unix/sysv/linux/dl-diagnostics-kernel.c: Modified.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.c: Modified.
	* sysdeps/unix/sysv/linux/glibcsyscalls.py: Modified.
	* sysdeps/unix/sysv/linux/hppa/clone.S: Modified.
	* sysdeps/unix/sysv/linux/hppa/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/i386/brk.c: Modified.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/ia64/clone2.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/sys/rse.h: Modified.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/kernel-posix-timers.h: Modified.
	* sysdeps/unix/sysv/linux/loongarch/atomic-machine.h: Modified.
	* sysdeps/unix/sysv/linux/loongarch/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/m68k/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/microblaze/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/bug-getcontext-mips-gp.c: Modified.
	* sysdeps/unix/sysv/linux/mq_notify.c: Modified.
	* sysdeps/unix/sysv/linux/net/if_shaper.h: Modified.
	* sysdeps/unix/sysv/linux/netax25/ax25.h: Modified.
	* sysdeps/unix/sysv/linux/netlink_assert_response.c: Modified.
	* sysdeps/unix/sysv/linux/nios2/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/nscd_setup_thread.c: Modified.
	* sysdeps/unix/sysv/linux/or1k/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/pathconf.c: Modified.
	* sysdeps/unix/sysv/linux/personality.c: Modified.
	* sysdeps/unix/sysv/linux/posix_fadvise.c: Modified.
	* sysdeps/unix/sysv/linux/powerpc/elision-conf.c: Modified.
	* sysdeps/unix/sysv/linux/powerpc/get_timebase_freq.c: Modified.
	* sysdeps/unix/sysv/linux/riscv/atomic-machine.h: Modified.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/s390/elision-conf.c: Modified.
	* sysdeps/unix/sysv/linux/s390/htm.h: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/s390/sysconf.c: Modified.
	* sysdeps/unix/sysv/linux/scsi/sg.h: Modified.
	* sysdeps/unix/sysv/linux/semop.c: Modified.
	* sysdeps/unix/sysv/linux/semtimedop.c: Modified.
	* sysdeps/unix/sysv/linux/sh/sys/user.h: Modified.
	* sysdeps/unix/sysv/linux/sh/sysdep.h: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/sparc/sys/ptrace.h: Modified.
	* sysdeps/unix/sysv/linux/sparc/sys/ucontext.h: Modified.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	* sysdeps/unix/sysv/linux/test-errno-linux.c: Modified.
	* sysdeps/unix/sysv/linux/tst-fallocate-common.c: Modified.
	(do_test_with_offset): Modified function.
	* sysdeps/unix/sysv/linux/tst-o_path-locks.c: Modified.
	* sysdeps/unix/sysv/linux/tst-ofdlocks.c: Modified.
	* sysdeps/unix/sysv/linux/tst-process_mrelease.c: Modified.
	* sysdeps/unix/sysv/linux/tst-skeleton-affinity.c: Modified.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: Modified.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp.c: Modified.
	* sysdeps/unix/sysv/linux/tst-sysvmsg-linux.c: Modified.
	* sysdeps/unix/sysv/linux/tst-tgkill.c: Modified.
	* sysdeps/unix/sysv/linux/tst-ttyname.c: Modified.
	* sysdeps/unix/sysv/linux/x86/elision-conf.c: Modified.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.

2023-05-23  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 1e9d5987fd94b88bdf4ebfb9f13d4a472d529cdd
	Fix misspellings in sysdeps/x86_64 -- BZ 25337.

	* sysdeps/x86_64/fpu/feupdateenv.c: Modified.
	* sysdeps/x86_64/multiarch/ifunc-strcasecmp.h: Modified.
	* sysdeps/x86_64/multiarch/memchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memcmp-avx2-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/memcmp-evex-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/memcmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/memcmpeq-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/memcmpeq-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-ssse3.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-strlen-avx2.h.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-strlen-evex.h.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse4_2.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strnlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-evex-base.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strstr-avx512.c: Modified.

2023-05-23  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ec9a66cd01a73c185bb42cdc032f88b472598feb
	mach: Fix accessing mach_i386.h

	* sysdeps/mach/hurd/i386/htl/pt-machdep.c: Modified.
	(mach/machine/mach_i386.h): Remove include.
	(mach/i386/mach_i386.h): Include file.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](mach/machine/mach_i386.h): Remove include.
	[! __ASSEMBLER__](mach/i386/mach_i386.h): Include file.
	* sysdeps/mach/hurd/x86/ioperm.c: Modified.
	(mach/machine/mach_i386.h): Remove include.
	[! __x86_64__](mach/i386/mach_i386.h): New.
	[__x86_64__](mach/x86_64/mach_i386.h): New.
	* sysdeps/mach/hurd/x86_64/htl/pt-machdep.c: Modified.
	(mach/machine/mach_i386.h): Remove include.
	(mach/x86_64/mach_i386.h): Include file.

2023-05-23  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 1d2971b525396e9935f3d90616a1668ceca425e5
	Fix misspellings in sysdeps/x86_64/fpu/multiarch -- BZ 25337.

	* Suppressing diff as too many files differ.

2023-05-23  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 196358ae26aa38a70fb6f19a77311c8a58bff929
	mach: Fix installing mach_i386.h

	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2023-05-23  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6151d3b79a8017b6cd0ceb17508b5f1eadafdbb4
	hurd: Fix making ld.so run static binaries with retry

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(open_file): Modified function.

2023-05-22  Ronan Pigott  <ronan@rjp.ie>

	COMMIT: 8f59fc79b7382a424bd9a0f89807c5adcd1b60df
	Add voice-admit DSCP code point from RFC-5865

	* sysdeps/generic/netinet/ip.h: Modified.
	(IPTOS_DSCP_VA): New.

2023-05-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ea752260cc40ab3411d841cb5ece8df66b27add4
	mach: Fix mach_setup_thread_impl with NULL stack_base

	* mach/setup-thread.c: Modified.
	(mach_setup_thread_impl): Modified function.

2023-05-22  Andreas Schwab  <schwab@suse.de>

	COMMIT: ea08d8dceab27ef464b9c00a03b5c61a741a634d
	Remove last remnants of have-protected

	* sysdeps/hppa/Makefile: Modified.
	* sysdeps/powerpc/powerpc32/Makefile: Modified.
	* sysdeps/powerpc/powerpc32/libgcc-compat.S: Modified.

2023-05-22  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 368b7c614b102122b86af3953daea2b30230d0a8
	S390: Use compile-only instead of also link-tests in configure.

	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/configure.ac: Modified.

2023-05-22  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 9cc27336c9b6fc7b59d1adbf36f0a044a0b89a59
	Fix build for hurd/thread-self.c for i386.

	* hurd/thread-self.c: Modified.
	(hurd.h): Include file.

2023-05-20  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e1b02c5ed4099a53db8f356303fc0ef88db8a131
	io: Fix a typo

	* io/tst-open-tmpfile.c: Modified.
	[O_TMPFILE](is_file_deteted): Remove function.
	[O_TMPFILE](check_wrapper_flags_mode): Modified function.
	[O_TMPFILE](is_file_deleted): New function.

2023-05-20  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 70d0dda0c160cb1f9000a4da50baf27c63db51c8
	htl: Use __hurd_fail () instead of assigning errno

	* sysdeps/htl/sem-destroy.c: Modified.
	(__sem_destroy): Modified function.
	(hurd.h): Include file.
	* sysdeps/htl/sem-init.c: Modified.
	(__sem_init): Modified function.
	(hurd.h): Include file.
	* sysdeps/htl/sem-post.c: Modified.
	(__sem_post): Modified function.
	(hurd.h): Include file.
	* sysdeps/htl/sem-trywait.c: Modified.
	(__sem_trywait): Modified function.
	(hurd.h): Include file.

2023-05-20  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 9ec31e57278ffc4e680ef03e75ce5b6b02e5edcf
	hurd: Use __hurd_fail () instead of assigning errno

	* hurd/alloc-fd.c: Modified.
	(_hurd_alloc_fd): Modified function.
	* hurd/fopenport.c: Modified.
	(__fopenport): Modified function.
	* hurd/getdport.c: Modified.
	(__getdport): Modified function.
	* hurd/hurdselect.c: Modified.
	(_hurd_select): Modified function.
	* hurd/hurdsock.c: Modified.
	(_hurd_socket_server): Modified function.
	* sysdeps/mach/hurd/brk.c: Modified.
	(_hurd_set_brk): Modified function.
	* sysdeps/mach/hurd/closedir.c: Modified.
	(__closedir): Modified function.
	* sysdeps/mach/hurd/cthreads.c: Modified.
	(__cthread_keycreate): Modified function.
	(__cthread_getspecific): Modified function.
	(__cthread_setspecific): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/dirfd.c: Modified.
	(__dirfd): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(open_file): Modified function.
	(__writev): Modified function.
	(__access): Modified function.
	(__getcwd): Modified function.
	* sysdeps/mach/hurd/dup3.c: Modified.
	(__dup3): Modified function.
	* sysdeps/mach/hurd/f_setlk.c: Modified.
	(__f_setlk): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/fcntl.c: Modified.
	(__libc_fcntl): Modified function.
	* sysdeps/mach/hurd/fdopendir.c: Modified.
	(__fdopendir): Modified function.
	* sysdeps/mach/hurd/getcwd.c: Modified.
	(__hurd_canonicalize_directory_name_internal): Modified function.
	* sysdeps/mach/hurd/getegid.c: Modified.
	(__getegid): Modified function.
	* sysdeps/mach/hurd/getentropy.c: Modified.
	(getentropy): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/geteuid.c: Modified.
	(__geteuid): Modified function.
	* sysdeps/mach/hurd/getgid.c: Modified.
	(__getgid): Modified function.
	* sysdeps/mach/hurd/getlogin.c: Modified.
	(getlogin): Modified function.
	* sysdeps/mach/hurd/getlogin_r.c: Modified.
	(__getlogin_r): Modified function.
	* sysdeps/mach/hurd/getrlimit.c: Modified.
	(__getrlimit): Modified function.
	* sysdeps/mach/hurd/getuid.c: Modified.
	(__getuid): Modified function.
	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn): Modified function.
	* sysdeps/mach/hurd/if_index.c: Modified.
	(__if_nametoindex): Modified function.
	(__if_indextoname): Modified function.
	* sysdeps/mach/hurd/ifreq.c: Modified.
	(__ifreq): Modified function.
	* sysdeps/mach/hurd/libc_sigaction.c: Modified.
	(__libc_sigaction): Modified function.
	* sysdeps/mach/hurd/lseek.c: Modified.
	(__libc_lseek): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/mknodat.c: Modified.
	(__mknodat): Modified function.
	* sysdeps/mach/hurd/mmap64.c: Modified.
	(__mmap64): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/opendir.c: Modified.
	(_hurd_fd_opendir): Modified function.
	(__opendirat): Modified function.
	(__opendir): Modified function.
	* sysdeps/mach/hurd/ptrace.c: Modified.
	(ptrace): Modified function.
	* sysdeps/mach/hurd/ptsname.c: Modified.
	(__ptsname_internal): Modified function.
	* sysdeps/mach/hurd/readdir.c: Modified.
	(__readdir): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/readdir64.c: Modified.
	(__readdir64): Modified function.
	* sysdeps/mach/hurd/readdir64_r.c: Modified.
	(__readdir64_r): Modified function.
	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.
	* sysdeps/mach/hurd/setrlimit.c: Modified.
	(__setrlimit): Modified function.
	* sysdeps/mach/hurd/sigaltstack.c: Modified.
	(__sigaltstack): Modified function.
	* sysdeps/mach/hurd/sigpending.c: Modified.
	(sigpending): Modified function.
	* sysdeps/mach/hurd/sigprocmask.c: Modified.
	(__sigprocmask): Modified function.
	* sysdeps/mach/hurd/sigsuspend.c: Modified.
	(__sigsuspend): Modified function.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.
	* sysdeps/mach/hurd/statconv.c: Modified.
	(stat64_conv): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/statfsconv.c: Modified.
	(statfs64_conv): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/ttyname_r.c: Modified.
	(__ttyname_r): Modified function.
	* sysdeps/mach/hurd/unlinkat.c: Modified.
	(__unlinkat): Modified function.
	* sysdeps/mach/hurd/waitid.c: Modified.
	(__waitid): Modified function.
	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn): Modified function.

2023-05-19  Mahesh Bodapati  <mahesh.bodapati@ibm.com>

	COMMIT: 36cc908ed549389713955093bbfeaa35fdaf3e2e
	powerpc:GCC(<10) doesn't allow -mlong-double-64 after -mabi=ieeelongdouble

	* sysdeps/powerpc/powerpc64/le/Makefile: Modified.

2023-05-19  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b44c1e12524bb5de0f93294a7c24c8e41c06bb75
	hurd: Fix using interposable hurd_thread_self

	* hurd/Versions: Modified.
	* hurd/thread-self.c: Modified.
	(hurd_thread_self): Remove function.
	(__hurd_thread_self): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	* sysdeps/hurd/include/hurd.h: Modified.
	[! _ISOMAC](__hurd_thread_self): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* sysdeps/mach/hurd/i386/htl/pt-setup.c: Modified.
	(__pthread_setup): Modified function.
	* sysdeps/mach/hurd/x86_64/htl/pt-setup.c: Modified.
	(__pthread_setup): Modified function.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__](_hurd_tls_fork): Modified function.
	[! __ASSEMBLER__](__hurd_thread_self): New function.
	[! __ASSEMBLER__](libc_hidden_proto): New.

2023-05-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6af84886adb7105d452c0ffec21b5eed1ffa2d65
	hurd 64bit: Re-introduce gai_suspend symbol

	* resolv/gai_suspend.c: Modified.
	[__TIMESIZE == 64][! PTHREAD_IN_LIBC](weak_alias): New.

2023-05-19  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4d3f846b88d307d459a283617778fc11e9bd25ac
	hurd: Fix __TIMESIZE on x86_64

	* sysdeps/mach/clock_gettime.c: Modified.
	(__clock_gettime64): Remove function.
	(libc_hidden_def): Remove.
	[__TIMESIZE != 64](__clock_gettime64): New.
	[__TIMESIZE != 64](libc_hidden_def): New.
	* sysdeps/mach/hurd/bits/timesize.h: Modified.
	(__TIMESIZE): Modified.
	(bits/wordsize.h): Include file.

2023-05-19  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 7b31c02dd29168c90bc04944accdf754bbfb01a6
	posix: Reformat Makefile.

	* posix/Makefile: Modified.

2023-05-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4bd0f1b6cec4a812ffa1860950554d213dd4398e
	hurd: Fix expected c++ types

	* sysdeps/mach/hurd/x86_64/c++-types.data: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 5729b8ff3168111c4e959270d39dc9f4df6bb7d8
	catgets: Reformat Makefile.

	* catgets/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 85c3569cf4829969ca1fbc1e34f277e4aaec0b5c
	benchtests: Reformat Makefile.

	* benchtests/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ebd928224a138d4560dc0be3ef162162d62a9e43
	assert: Reformat Makefile.

	* assert/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: b600f47758332d78f04daa970b02a4044a37ebd9
	nptl: Reformat Makefile.

	* nptl/Makefile: Modified.
	* nptl/tst-mutexpi5a.c: Move to...
	* nptl/tst-mutexpi11.c: ... here.
	* nptl/tst-mutexpi7a.c: Move to...
	* nptl/tst-mutexpi12.c: ... here.
	* nptl/tst-rwlock2a.c: Move to...
	* nptl/tst-rwlock21.c: ... here.
	* nptl/tst-rwlock2b.c: Move to...
	* nptl/tst-rwlock22.c: ... here.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 3643fb0a944d0e72a5c90680e389b7d73f97e172
	wcsmbs: Reformat Makefile.

	* wcsmbs/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 21050af6749c8c6ba00b0bc9d0218db0ac153889
	misc: Reformat Makefile.

	* misc/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: b9125aeaed45e10ce329f91f007eb3da43d2155f
	stdio-common: Adjust tests in Makefile

	* stdio-common/Makefile: Modified.
	* stdio-common/bug23-2.c: Move to...
	* stdio-common/bug27.c: ... here.
	* stdio-common/bug23-3.c: Move to...
	* stdio-common/bug28.c: ... here.
	* stdio-common/bug23-4.c: Move to...
	* stdio-common/bug29.c: ... here.
	* stdio-common/scanf14a.c: Move to...
	* stdio-common/scanf18.c: ... here.
	* stdio-common/scanf16a.c: Move to...
	* stdio-common/scanf19.c: ... here.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a08e854d0058ba3a9a8eccc545dd4c3885cc640e
	elf: Adjust tests in Makefile.

	* elf/Makefile: Modified.

2023-05-18  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: b0528456a606faf996ae8046512d623a6d22d0cc
	scripts: sort-makefile-lines.py

	* scripts/sort-makefile-lines.py: Modified.

2023-05-18  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: c4098bc256a892aee214ec7c722a4a45f661a55c
	Add a SECURITY.md

	* SECURITY.md: New file.

2023-05-18  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5460fbbfeaabb1ac696eace962bd4bcfd99a78d9
	Add HWCAP2_SME* from Linux 6.3 to AArch64 bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_SME2): New.
	(HWCAP2_SME2P1): New.
	(HWCAP2_SME_I16I32): New.
	(HWCAP2_SME_BI32I32): New.
	(HWCAP2_SME_B16B16): New.
	(HWCAP2_SME_F16F16): New.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: c93ee967cd688bc6d43c795b48e988075655a67f
	hurd: Also make it possible to call strlen very early

	* sysdeps/mach/hurd/x86_64/static-start.S: Modified.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 70fd6b3b230f58782a196b1075513a24f2376077
	hurd: Fix setting up pthreads

	* sysdeps/mach/hurd/x86/htl/pt-setup.c: Move to...
	* sysdeps/mach/hurd/i386/htl/pt-setup.c: ... here.
	* sysdeps/mach/hurd/x86_64/htl/pt-setup.c: New file.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 2f8ecb58a59eb82c43214d000842d99644a662d1
	hurd: Fix x86_64 _hurd_tls_fork

	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__](_hurd_tls_fork): Modified function.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: c7fcce38c83a2bb665ef5dc4981bf20c7e586123
	hurd: Make sure to not use tcb->self

	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](tcbhead_t): Modified.
	[! __ASSEMBLER__](_hurd_tls_new): Modified function.
	* sysdeps/mach/hurd/x86/htl/pt-setup.c: Modified.
	(__pthread_setup): Modified function.
	(hurd.h): Include file.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__](tcbhead_t): Modified.
	[! __ASSEMBLER__](_hurd_tls_new): Modified function.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: aa19c68d2bdf3a831894f609b8ac5c8f123268b2
	hurd: Use __mach_setup_thread_call ()

	* hurd/hurdsig.c: Modified.
	(_hurdsig_init): Modified function.
	(mach/setup-thread.h): Include file.
	* sysdeps/mach/hurd/profil.c: Modified.
	(update_waiter): Modified function.
	(mach/setup-thread.h): Include file.
	* sysdeps/mach/hurd/setitimer.c: Modified.
	(setitimer_locked): Modified function.
	(mach/setup-thread.h): Include file.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 01f317e98f7e36b597905a7ad267ce6b59d463ee
	mach: Add __mach_setup_thread_call ()

	* mach/mach.h: Modified.
	* mach/setup-thread.c: Modified.
	(__mach_setup_thread): Modified function.
	(mach/setup-thread.h): Include file.
	(mach_setup_thread_impl): New function.
	(__mach_setup_thread_call): New function.
	* mach/setup-thread.h: New file.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: be9c1b9cf4b5c1e436d08e189ea4305e57082a89
	hurd: Use MACHINE_THREAD_STATE_SETUP_CALL

	* hurd/hurdfault.c: Modified.
	[! EXC_MASK_ALL](_hurdsig_fault_init): Modified function.

2023-05-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4a373ea7d677c69dc95903dbb542237ab1380eb5
	mach: Define MACHINE_THREAD_STATE_SETUP_CALL

	* sysdeps/mach/thread_state.h: Modified.
	[! MACHINE_THREAD_STATE_SETUP_CALL](MACHINE_THREAD_STATE_SETUP_CALL): New.
	* sysdeps/mach/x86/thread_state.h: Modified.
	[__x86_64__](PTR_ALIGN_DOWN_8_16): New.
	[__x86_64__](MACHINE_THREAD_STATE_SETUP_CALL): New.
	(libc-pointer-arith.h): Include file.

2023-05-17  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 3f7b800d54eb67d9b97f6e0933275155fdf13c70
	Use TASK_THREAD_TIMES_INFO_COUNT when calling task_info with TASK_THREAD_TIMES_INFO

	* sysdeps/mach/clock_gettime.c: Modified.
	(__clock_gettime): Modified function.

2023-05-17  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 45af5422c1c0c6ed50388a0d0d034010154be438
	argp: Reformat Makefile.

	* argp/Makefile: Modified.

2023-05-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 10a81dd4cf89276f7b1208ed044b93ae846800ce
	stdlib: Avoid undefined behavior in stdlib/tst-labs

	* stdlib/tst-labs.c: Modified.
	(do_test): Modified function.

2023-05-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8812b9900e5fba3b696f1b34bd6014211327190f
	stdlib: Use long long int in stdlib/tst-llabs

	* stdlib/tst-llabs.c: Modified.
	(do_test): Modified function.

2023-05-16  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 4f009060fb9fc2b0b476a3f40f5ff9dfd9f38511
	Update kernel version to 6.3 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2023-05-16  DJ Delorie  <dj@redhat.com>

	COMMIT: 088136aa02de6fa13061ef6f754071a5652fdabd
	i386: Use pthread_barrier for synchronization on tst-bz21269

	* sysdeps/unix/sysv/linux/i386/tst-bz21269.c: Modified.
	(threadproc): Modified function.
	(do_test): Modified function.

2023-05-16  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: d877b52d58b1c73810751bdb48987b84bda87d5e
	stdlib: Add testcases for llabs(). (BZ #30263)

	* stdlib/Makefile: Modified.
	* stdlib/tst-llabs.c: New file.

2023-05-16  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: b11db301e162480d1812937ab0410dc7585f423c
	stdlib: Add testcases for labs(). (BZ #30263)

	* stdlib/Makefile: Modified.
	* stdlib/tst-labs.c: New file.

2023-05-16  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 0d21b3783f49ae94207a1bb9acd5dc8b071f0b13
	stdlib: Add testcases for abs(). (BZ #30263)

	* stdlib/Makefile: Modified.
	* stdlib/tst-abs.c: New file.

2023-05-16  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 114f1b7881e63e2b4e5d0e9a9e4fb142b9cd886c
	hurd: Fix computing user stack pointer

	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn): Modified function.

2023-05-16  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e333759f7752593a69a8f9920a247ed3878fafef
	hurd: Fix sc_i386_thread_state layout

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.
	* sysdeps/mach/hurd/x86_64/bits/sigcontext.h: Modified.
	(sigcontext): Modified.

2023-05-16  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: ce96593c882b393461084048533120e9c1e9d328
	hurd: Align signal stack pointer after allocating stackframe

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2023-05-16  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: ff0f87632a74a369a2b992f4436ae406065a4012
	hurd: Fix aligning signal stack pointer

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 40b68e8cc00ca40348bc084b651c0561d31feb46
	wcsmbs: Reformat Makefile.

	* wcsmbs/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: dccee96e6d07fe63c21531a6484f3c343a590106
	linux: Reformat Makefile.

	* sysdeps/unix/sysv/linux/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 91f33a300c6a5af81943c7f67d9b58a68b82d116
	stdlib: Reformat Makefile.

	* stdlib/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: c3004417afc98585089a9282d1d4d60cdef5317a
	stdio-common: Reformat Makefile.

	* stdio-common/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: bc57361e515537a1c099d1a7f283ee3afa02a0b4
	socket: Reformat Makefile.

	* socket/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 20b6ae7e3b433d2735ec47b9631fd474aa19ae1a
	misc: Reformat Makefile.

	* misc/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e475bc2507d82700b8a807d968f89e94301f15cb
	debug: Reformat Makefile.

	* debug/Makefile: Modified.

2023-05-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: aa492359f1c9aae235ace2a6fe1e414f73718d00
	elf: Reformat Makefile.

	* elf/Makefile: Modified.

2023-05-16  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 71d9e0fe766a3c22a730995b9d024960970670af
	libio: Add __nonnull for FILE * arguments of fclose and freopen

	* libio/stdio.h: Modified.
	[! __USE_FILE_OFFSET64](__wur): Remove.
	[! __USE_FILE_OFFSET64](freopen): New function.
	[__USE_LARGEFILE64](__wur): Modified.
	[__USE_LARGEFILE64](__wur): Remove.
	[__USE_LARGEFILE64](freopen64): New function.
	(fclose): Modified.

2023-05-16  Arjun Shankar  <arjun@redhat.com>

	COMMIT: bea1a4a77305cef90dac47b873bd9f01a6409c22
	nss: Reconcile conditional declaration and use of `is_nscd'

	* nss/nss_module.c: Modified.
	[SHARED &&  USE_NSCD](is_nscd): New.
	[SHARED &&  USE_NSCD](nscd_init_cb): New.
	[USE_NSCD && (! DO_STATIC_NSS ||  SHARED)](is_nscd): Remove.
	[USE_NSCD && (! DO_STATIC_NSS ||  SHARED)](nscd_init_cb): Remove.
	(module_load_nss_files): Modified function.
	(module_load): Modified function.

2023-05-15  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: eeef96f56ce399f2c3fc1d93c0ba1dde34f3ae41
	Update syscall lists for Linux 6.3

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2023-05-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d6c72f976c61d3c1465699f2bcad77e62bafe61d
	hurd: rule out some mach headers when generating errno.h

	* sysdeps/mach/hurd/bits/errno.h: Modified.
	* sysdeps/mach/hurd/errnos.awk: Modified.

2023-05-11  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 3ca9f43d1007956251130ee5a59abb63bff8a6b6
	Stop checking if MiG supports retcode.

	* config.h.in: Modified.
	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2023-05-10  Sachin Monga  <smonga@linux.ibm.com>

	COMMIT: 1a57ab0c923f269d1d7c29dfe4634c0ae66d69ac
	Added Redirects to longdouble error functions [BZ #29033]

	* misc/Makefile: Modified.
	* misc/bits/error-ldbl.h: Modified.
	(Never include <bits/error-ldbl.h> directly; use <error.h> instead."): Remove.
	[! _ERROR_H](Never include <bits/error-ldbl.h> directly; use <error.h> instead."): New.
	[__extern_always_inline &&  __va_arg_pack](__REDIRECT_LDBL): New.
	[__extern_always_inline &&  __va_arg_pack](__REDIRECT_LDBL): New.
	[__extern_always_inline &&  __va_arg_pack](error): New.
	[__extern_always_inline &&  __va_arg_pack](__REDIRECT_LDBL): New.
	[__extern_always_inline &&  __va_arg_pack](__REDIRECT_LDBL): New.
	[__extern_always_inline &&  __va_arg_pack](error_at_line): New.
	* misc/sys/cdefs.h: Modified.
	[__LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1][__REDIRECT](__REDIRECT_LDBL): Modified.
	* misc/tst-ldbl-errorfptr.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/Makefile: Modified.

2023-05-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: f0dbe112f532be2101bb392f67f9f164cade25b0
	nptl: Reformat Makefile.

	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-mutex7robust.c: Move to...
	* sysdeps/pthread/tst-robust11.c: ... here.

2023-05-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 1270549a267eb4c8b8dda7fd9a91d7f14968d58f
	scripts: Add sort-makefile-lines.py to sort Makefile variables.

	* scripts/sort-makefile-lines.py: New file.

2023-05-09  Andreas Schwab  <schwab@suse.de>

	COMMIT: ab5aa2ee3d3f978e474803cbbc5fe805ad30e293
	dlopen: skip debugger notification for DSO loaded from sprof (bug 30258)

	* elf/Makefile: Modified.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/tst-sprof-basic.c: New file.
	* elf/tst-sprof-basic.sh: New file.
	* elf/tst-sprof-mod.c: New file.

2023-05-08  DJ Delorie  <dj@redhat.com>

	COMMIT: d1417176a35d27ffb8da0ffb1e33154163b6eeb2
	aligned_alloc: conform to C17

	* malloc/Makefile: Modified.
	* malloc/malloc-debug.c: Modified.
	(strong_alias): Modified.
	(__debug_aligned_alloc): New function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Modified.
	[IS_IN (libc)](weak_alias): Remove.
	[IS_IN (libc)](aligned_alloc): New function.
	* malloc/tst-aligned-alloc-static.c: New file.
	* malloc/tst-aligned-alloc.c: New file.
	* manual/memory.texi: Modified.

2023-05-08  наб  <nabijaczleweli@nabijaczleweli.xyz>

	COMMIT: cea74a4a24c36202309e8254f1f938e2166488f3
	testsuite: stdlib/isomac.c: fix REQUIREMENTS

	* stdlib/isomac.c: Modified.

2023-05-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2f679937b35b7f9a8d448ab2ee03bc1fb3ace263
	manual: Remove unsupported line breaks in waiting-with-clock section

	* manual/threads.texi: Modified.

2023-05-07  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: a26238d3ca21fda6d7d41b4d56541fcf4546fbe7
	Enable new device_open_new RPC in libmachuser.

	* mach/Makefile: Modified.

2023-05-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: bf88b47ecb54888a789c02fa81aa4ab81ec2f3a5
	Revert "riscv: Resolve symbols directly for symbols with STO_RISCV_VARIANT_CC."

	* elf/elf.h: Modified.
	(DT_RISCV_NUM): Remove.
	(STO_RISCV_VARIANT_CC): Modified.
	* manual/platform.texi: Modified.
	* sysdeps/riscv/dl-dtprocnum.h: Delete file.
	* sysdeps/riscv/dl-machine.h: Modified.
	[! dl_machine_h](DT_RISCV): Remove.
	[! dl_machine_h](elf_machine_matches_host): Modified function.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.

2023-05-06  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 84b4a81aebdb3a0dab335914ebb83faa67eb7df2
	Update hurd/hurdselect.c to be more portable.

	* hurd/hurdselect.c: Modified.
	(_hurd_select): Modified function.
	(mach_rpc.h): Include file.
	* hurd/intr-msg.c: Modified.
	(BAD_TYPECHECK): Remove.
	(mach_rpc.h): Include file.
	* sysdeps/mach/hurd/ioctl.c: Modified.
	(BAD_TYPECHECK): Remove.
	(mach_rpc.h): Include file.
	* sysdeps/mach/mach_rpc.h: New file.

2023-05-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e64b7c26d45bc54130d9381711c592d85ff5db6a
	hurd: Fix ld.so name

	* sysdeps/mach/hurd/x86_64/shlib-versions: Modified.

2023-05-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d2593d452ad17a62cec8bd49ec9ce0504db8f643
	hurd: Add ioperm symbol on x86_64

	* sysdeps/mach/hurd/x86_64/Versions: New file.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.

2023-05-05  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 21f0b087ee10391433d8279e7c6f104fb9ea0eef
	time: Remove alloca() from getdate

	* time/getdate.c: Modified.
	(alloca.h): Remove include.
	(__getdate_r): Modified function.

2023-05-05  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 642f1b9b3de8d847b43af928107057116eb6e7f1
	aarch64: More configure checks for libmvec

	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2023-05-05  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: ee68e9cba456ed02f080cccd0c37af671bd48108
	aarch64: SVE ACLE configure test cleanups

	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2023-05-05  Sam James  <sam@gentoo.org>

	COMMIT: c8bd171caf443ff514a1fc6d50d239e0747b6dcc
	hppa: Fix 'concurrency' typo in comment

	* sysdeps/hppa/nptl/pthread_spin_init.c: Modified.
	* sysdeps/hppa/nptl/pthread_spin_unlock.c: Modified.

2023-05-05  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 4571fb8fe64644c79d91a8f76c148a05b7088ea8
	Update hurd/intr-msg.c to be more portable

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.
	(BAD_TYPECHECK): New.

2023-05-05  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 3f433cb895dee51dee57cb487bc33b1425fa7ef6
	Update sysdeps/mach/hurd/ioctl.c to make it more portable

	* sysdeps/mach/hurd/ioctl.c: Modified.
	(__ioctl): Modified function.
	(libc-pointer-arith.h): Include file.
	(msg_align): New.
	(BAD_TYPECHECK): New.

2023-05-04  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1a62d7e5c396aa755f10d283dc3a6bc0eb496be4
	aarch64: fix SVE ACLE check for bootstrap glibc builds

	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2023-05-03  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: cd94326a1326c4e3f1ee7a8d0a161cc0bdcaf07e
	Enable libmvec support for AArch64

	* INSTALL: Modified.
	* NEWS: Modified.
	* sysdeps/x86_64/fpu/bench-libmvec-skeleton.c: Move to...
	* benchtests/bench-libmvec-skeleton.c: ... here.
	(main): Modified function.
	(bench-libmvec-arch.h): Include file.
	* manual/install.texi: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/aarch64/fpu/Makefile: New file.
	* sysdeps/aarch64/fpu/Versions: New file.
	* sysdeps/aarch64/fpu/advsimd_utils.h: New file.
	* sysdeps/aarch64/fpu/bench-libmvec-arch.h: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: New file.
	* sysdeps/aarch64/fpu/cos_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cos_sve.c: New file.
	* sysdeps/aarch64/fpu/cosf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cosf_sve.c: New file.
	* sysdeps/aarch64/fpu/math-tests-arch.h: New file.
	* sysdeps/aarch64/fpu/scripts/bench_libmvec_advsimd.py: New file.
	* sysdeps/aarch64/fpu/scripts/bench_libmvec_sve.py: New file.
	* sysdeps/aarch64/fpu/sve_utils.h: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd.h: New file.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: New file.
	* sysdeps/aarch64/fpu/test-double-sve.h: New file.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: New file.
	* sysdeps/aarch64/fpu/test-float-advsimd.h: New file.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: New file.
	* sysdeps/aarch64/fpu/test-float-sve.h: New file.
	* sysdeps/aarch64/fpu/test-vpcs-vector-wrapper.h: New file.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: New file.
	* sysdeps/x86_64/fpu/Makefile: Modified.
	* sysdeps/x86_64/fpu/bench-libmvec-arch.h: New file.

2023-05-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: cd87e368439ce97d2a2c95894e1851f4c0ff4443
	hurd: Enable x86_64 build script

	* NEWS: Modified.
	* README: Modified.
	* scripts/build-many-glibcs.py: Modified.

2023-05-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0ec48e3337506fcd33abdd86b5ab9e331564b65c
	hurd 64bit: Make dev_t word type

	* sysdeps/mach/hurd/bits/typesizes.h: Modified.
	[!	_BITS_TYPESIZES_H](__DEV_T_TYPE): Modified.

2023-05-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f2cabe04dc2630754e1583c56282920ea146c6d8
	malloc: Really fix tst-memalign-3 link against threads

	* malloc/Makefile: Modified.

2023-05-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c999c38f6fe3626a8e58df15aae929c5348724e1
	malloc: Fix tst-memalign-3 link against threads

	* malloc/Makefile: Modified.

2023-05-02  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 2ed072d20145ce67d4f28052a753b72b12bd6977
	Use GCC 13 branch, Linux 6.3 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e6a252758cbadb13654e66e1f2445ef6f8a4dea0
	Mark various cold functions as __COLD

	* include/error.h: Modified.
	(__error_internal): Remove.
	(__error_at_line_internal): Remove.
	(__COLD): New.
	(__COLD): New.
	* libio/stdio.h: Modified.
	(perror): Remove.
	(__COLD): New.
	* misc/err.h: Modified.
	(warn): Remove.
	(vwarn): Remove.
	(err): Remove.
	(verr): Remove.
	(errx): Remove.
	(verrx): Remove.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.
	* misc/error.h: Modified.
	(error): Remove.
	(error_at_line): Remove.
	(__COLD): New.
	(__COLD): New.

2023-05-01  наб  <nabijaczleweli@nabijaczleweli.xyz>

	COMMIT: be9ad3004f65b54dd6cc0325315559c72396bc1c
	Fix regex type usage

	* include/regex.h: Modified.
	[! _ISOMAC](__re_search): Modified.
	[! _ISOMAC](__re_search_2): Modified.
	[! _ISOMAC](__re_match): Modified.
	[! _ISOMAC](__re_match_2): Modified.
	[! _ISOMAC](__re_set_registers): Modified.
	* posix/regcomp.c: Modified.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC][_LIBC](build_range_exp): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC][_LIBC](build_collating_symbol): Modified function.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e2b3d7f4853124746178148cf3f2af4e9c23f73d
	hurd 64bit: Fix struct msqid_ds and shmid_ds fields

	* sysdeps/gnu/Makefile: Modified.
	* sysdeps/gnu/bits/msq.h: Modified.
	(msqid_ds): Remove.
	(bits/types/struct_msqid_ds.h): Include file.
	* sysdeps/gnu/bits/shm.h: Modified.
	(shmid_ds): Remove.
	(bits/types/struct_shmid_ds.h): Include file.
	* sysdeps/gnu/bits/types/struct_msqid_ds.h: New file.
	* sysdeps/gnu/bits/types/struct_shmid_ds.h: New file.
	* sysdeps/mach/hurd/i386/bits/types/struct_msqid_ds.h: New file.
	* sysdeps/mach/hurd/i386/bits/types/struct_shmid_ds.h: New file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e3a3616dbf620fa9f260a4c1a779efbb15b4a506
	hurd 64bit: Fix ipc_perm fields types

	* sysdeps/gnu/Makefile: Modified.
	* sysdeps/gnu/bits/ipc-perm.h: New file.
	* sysdeps/gnu/bits/ipc.h: Modified.
	(ipc_perm): Remove.
	(bits/ipc-perm.h): Include file.
	* sysdeps/mach/hurd/i386/bits/ipc-perm.h: New file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/ipc.h: Delete file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d5e2f9eaf7384ebf8f09831eb9fa15dad2ecf2c3
	hurd 64bit: Fix flock fields types

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/bits/fcntl.h: Modified.
	[__USE_LARGEFILE64](flock64): Remove.
	(flock): Remove.
	(bits/types/struct_flock.h): Include file.
	* sysdeps/mach/hurd/bits/types/struct_flock.h: New file.
	* sysdeps/mach/hurd/i386/bits/types/struct_flock.h: New file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 90604f670c1074bc9e4c25f8f2ef9d358823d77b
	hurd 64bit: Add data for check-c++-types

	* sysdeps/mach/hurd/x86_64/c++-types.data: New file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 65d1407d55e4f7df703f72ac52c9cef37a59be92
	hurd 64bit: Fix pthread_t/thread_t type to long

	* htl/Makefile: Modified.
	* sysdeps/htl/bits/pthread.h: Modified.
	(__pthread_t): Remove.
	(bits/types/__pthread_t.h): Include file.
	* sysdeps/htl/bits/thread-shared-types.h: Modified.
	(__thrd_t): Remove.
	(bits/types/__thrd_t.h): Include file.
	* sysdeps/htl/bits/types/__pthread_t.h: New file.
	* sysdeps/htl/bits/types/__thrd_t.h: New file.
	* sysdeps/mach/hurd/i386/htl/bits/types/__pthread_t.h: New file.
	* sysdeps/mach/hurd/i386/htl/bits/types/__thrd_t.h: New file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7647d1901ea2b34fafd95ecddf52905a3d314368
	socket: Fix tst-cmsghdr-skeleton.c use of cmsg_len

	* socket/tst-cmsghdr-skeleton.c: Modified.
	(RUN_TEST_FUNCNAME): Modified function.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e11a6734c4607fee78a1c4fa16c8474f95270b74
	hurd 64bit: Add missing data file for check-localplt test

	* sysdeps/mach/hurd/x86_64/localplt.data: New file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d44995a4b35cd41c6a8fea86411ecf3b3068679f
	hurd 64bit: Add missing libanl

	* resolv/Makefile: Modified.
	* sysdeps/htl/Makeconfig: Modified.
	* sysdeps/mach/hurd/x86_64/libanl.abilist: New file.
	* sysdeps/nptl/Makeconfig: Modified.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d90470a37e1e761bbb711131e8531e08c4521f24
	hurd: Also XFAIL missing SA_NOCLDWAIT on 64bit

	* conform/data/signal.h-data: Modified.
	* sysdeps/mach/hurd/x86_64/Makefile: New file.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 14f16bd48283f83b1be0e71374ad90aa2cf181d6
	hurd: Fix tst-writev test

	* sysdeps/wordsize-64/tst-writev.c: Modified.
	[! IOV_MAX](IOV_MAX): New.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6d4f1834957bc52fef6bf0fe903580220d0d711c
	nptl: move tst-x86-64-tls-1 to nptl-only tests

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/nptl/Makefile: Modified.
	* sysdeps/x86_64/tst-x86-64-tls-1.c: Move to...
	* sysdeps/x86_64/nptl/tst-x86-64-tls-1.c: ... here.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: adca662202f470a63fb85c1009e600b796cb9aa3
	hurd: Add expected abilist files for x86_64

	* sysdeps/mach/hurd/x86_64/ld.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libBrokenLocale.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libc.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libc_malloc_debug.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libcrypt.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libdl.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libm.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libmvec.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: New file.
	* sysdeps/mach/hurd/x86_64/libresolv.abilist: New file.
	* sysdeps/mach/hurd/x86_64/librt.abilist: New file.
	* sysdeps/mach/hurd/x86_64/shlib-versions: New file.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4e506f67cbe6cd935377da65909f0606014459aa
	hurd: Replace reply port with a dead name on failed interruption

	* hurd/hurdsig.c: Modified.
	(_hurdsig_abort_rpcs): Modified function.
	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.
	* sysdeps/mach/hurd/mig-reply.c: Modified.
	(__mig_dealloc_reply_port): Modified function.

2023-05-01  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: eb14819c14d190830df673c9a3089d82d6b7b8f7
	Define __mig_strlen to support dynamically sized strings in hurd RPCs

	* mach/Makefile: Modified.
	* mach/Versions: Modified.
	* mach/mach/mig_support.h: Modified.
	(__mig_strlen): New function.
	* mach/mig_strlen.c: New file.
	* sysdeps/mach/include/mach/mig_support.h: Modified.
	[! _ISOMAC][_LIBC][USE_MULTIARCH && (IS_IN (libmachuser) || IS_IN (libhurduser))](strlen): New.

2023-05-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6eb3edeed205766925c66a127b0b7aa40a64ee62
	mach: Disable 32bit compatibility mode

	* scripts/build-many-glibcs.py: Modified.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 2bc516020ff8642d1352e99f0f25fef002457079
	hurd: Make it possible to call memcpy very early

	* sysdeps/mach/hurd/x86_64/static-start.S: Modified.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e6136c693970bd641cc526cbe204d02c0c3ba0e4
	hurd: Implement longjmp for x86_64

	* sysdeps/mach/hurd/x86_64/____longjmp_chk.S: New file.
	* sysdeps/mach/hurd/x86_64/__longjmp.S: New file.

2023-05-01  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b574ae0a2876ee94e4fe617f878407bf818c2df0
	hurd: Implement sigreturn for x86_64

	* sysdeps/mach/hurd/x86_64/sigreturn.c: New file.

2023-05-01  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 6b25b6ca4e30a114c5af4086ed04e2f2de7077e5
	Make __mach_msg_destroy portable for x86_64

	* mach/msg-destroy.c: Modified.
	(__mach_msg_destroy): Modified function.
	(libc-pointer-arith.h): Include file.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 6639cc10029e24e06b34e169712b21c31b8cf213
	hurd: Mark error functions as __COLD

	* hurd/hurd.h: Modified.
	(__hurd_fail): Remove.
	(__COLD): New.
	* hurd/hurd/fd.h: Modified.
	(_hurd_fd_error_signal): Remove.
	(_hurd_fd_error): Remove.
	(__hurd_dfail): Remove.
	(__hurd_sockfail): Remove.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.
	(__COLD): New.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 0ab341b247fc1c2cd101a87c78f38d2da00c335c
	cdefs.h: Define __COLD

	* misc/sys/cdefs.h: Modified.
	[!(__GNUC__ ||  __clang__)](__COLD): New.
	[__GNUC__ ||  __clang__][!(__GNUC_PREREQ (4, 3) || __glibc_has_attribute (__cold__))](__COLD): New.
	[__GNUC__ ||  __clang__][__GNUC_PREREQ (4, 3) || __glibc_has_attribute (__cold__)](__COLD): New.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: f56ad6174c62aa38f7edf68167d620482b776dc9
	hurd: Fix FS_RETRY_MAGICAL "machtype" handling

	* hurd/lookup-retry.c: Modified.
	(__hurd_file_name_lookup_retry): Modified function.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 89f1e04174a6b6548d19f7f301ddcc8ab91d91df
	hurd: Respect existing FD_CLOEXEC in S_msg_set_fd

	* hurd/hurdmsg.c: Modified.
	(_S_msg_set_fd): Modified function.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 0e12519fe0567a6abcf6e2523102a768a520aef4
	hurd: Don't leak the auth port in msg* RPCs

	* hurd/hurdmsg.c: Modified.
	(_S_msg_get_init_port): Modified function.
	(_S_msg_set_init_port): Modified function.
	(_S_msg_get_init_ports): Modified function.
	(_S_msg_set_init_ports): Modified function.
	(_S_msg_get_init_int): Modified function.
	(_S_msg_get_init_ints): Modified function.
	(_S_msg_set_init_int): Modified function.
	(_S_msg_set_init_ints): Modified function.
	(_S_msg_get_fd): Modified function.
	(_S_msg_set_fd): Modified function.
	(_S_msg_get_env_variable): Modified function.
	(_S_msg_set_env_variable): Modified function.
	(_S_msg_set_environment): Modified function.
	(_S_msg_get_dtable): Modified function.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 41aac872341fbf70f3b7006ef266eb02a354a993
	hurd: Make _exit work during early boot-up

	* sysdeps/mach/hurd/_exit.c: Modified.
	(_hurd_exit): Modified function.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: a9fb57105e9abd7919478226ee802270d1b3b9df
	hurd: Mark various conditions as unlikely

	* hurd/hurd/fd.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_fd_get): Modified function.
	(HURD_FD_USE): Modified.
	(HURD_FD_PORT_USE): Modified.
	* hurd/hurd/signal.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_critical_section_unlock): Modified function.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 3fd996d32c61f0a4a95b405bd3361555d3fcba43
	hurd: Move libc_hidden_def's around

	* hurd/hurdsig.c: Modified.
	(libc_hidden_def): Modified.
	(libc_hidden_def): Modified.

2023-04-29  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: c287ecd99133cd82413ad99f2f167628b2df670c
	hurd: Simplify _hurd_critical_section_lock a bit

	* hurd/hurd/signal.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_critical_section_lock): Modified function.

2023-04-28  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a443bd3fb233186038b8b483959ecb7978d1abea
	__check_pf: Add a cancellation cleanup handler [BZ #20975]

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/check_pf.c: Modified.
	(__check_pf): Modified function.
	[__EXCEPTIONS](cancel_handler): New.

2023-04-28  Kito Cheng  <kito.cheng@sifive.com>

	COMMIT: a225cb3ee9a22021312ae25c37595cd9d1995a1f
	Remap __GLIBC_FLT_EVAL_METHOD to 0 if __FLT_EVAL_METHOD__ is -1

	* bits/flt-eval-method.h: Modified.
	[__FLT_EVAL_METHOD__][__FLT_EVAL_METHOD__ == -1](__GLIBC_FLT_EVAL_METHOD): Modified.

2023-04-28  Hsiangkai Wang  <kai.wang@sifive.com>

	COMMIT: 117e8b341c5c0ace8d65feeef136fececb3fdc9c
	riscv: Resolve symbols directly for symbols with STO_RISCV_VARIANT_CC.

	* elf/elf.h: Modified.
	(STO_RISCV_VARIANT_CC): Modified.
	(DT_RISCV_NUM): New.
	* manual/platform.texi: Modified.
	* sysdeps/riscv/dl-dtprocnum.h: New file.
	* sysdeps/riscv/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_matches_host): Modified function.
	[! dl_machine_h](DT_RISCV): New.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.

2023-04-28  Indu Bhagat  <indu.bhagat@oracle.com>

	COMMIT: 2fa7fd1af733e323fa90d059e2ba60ec965d2cbb
	elf.h: add PT_GNU_SFRAME

	* elf/elf.h: Modified.
	(PT_GNU_SFRAME): New.

2023-04-27  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: af16a59ee1f72392b88d439d8f802c9844f86f4f
	Fix Hurd getcwd build with GCC >= 13

	* sysdeps/mach/hurd/getcwd.c: Modified.
	(__hurd_canonicalize_directory_name_internal): Modified function.

2023-04-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: bcca5ae8049efd98ef11f45cf0f1fcea661b3cc1
	Regenerate sysdeps/mach/hurd/bits/errno.h

	* sysdeps/mach/hurd/bits/errno.h: Modified.

2023-04-26  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: a9f806d4532de2c9124c6caaae88b53ea56cdddd
	locale/programs/locarchive.c: Remove unnecessary check in add_locale_archive

	* locale/programs/locarchive.c: Modified.
	(add_locale_to_archive): Modified function.

2023-04-26  Gavin Smith  <gavinsmith0123@gmail.com>

	COMMIT: e91c7b53c4775b789aca801f41ff02c0149c84dc
	manual: document posix_openpt (bug 17010)

	* manual/terminal.texi: Modified.

2023-04-26  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: a3461d4923d92ba14cbd60072aeccb49fcb14da2
	if_index: Remove unneeded alloca.h include

	* sysdeps/unix/sysv/linux/if_index.c: Modified.
	(alloca.h): Remove include.

2023-04-26  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 19fdc3542b465e3d9563bfd72e40c4b103a2cafe
	gethostid: Do not include alloca.h

	* sysdeps/unix/sysv/linux/gethostid.c: Modified.
	(alloca.h): Remove include.

2023-04-25  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 904b94c07af84b7e4c98de3bbb822ccffcaf8c40
	socket: Add a test for MSG_CMSG_CLOEXEC

	* socket/Makefile: Modified.
	* socket/tst-cmsg_cloexec.c: New file.

2023-04-25  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 323fe6a1a9204e2126df63cb81a88831d1cdeaf5
	hurd: Do not take any flag from the CMSG_DATA

	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.

2023-04-24  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 5fa8945605fc0fe8df5162e0945518c061dc5ba4
	hurd: Implement MSG_CMSG_CLOEXEC

	* sysdeps/mach/hurd/bits/socket.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.

2023-04-24  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0822e3552a787dd6ae352c3eb65783dfed2f4238
	hurd: Don't pass FD_CLOEXEC in CMSG_DATA

	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.

2023-04-24  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: c02b26455b3c9d33c8a94e56eed1958d7f751b72
	hurd: Implement prefer_map_32bit_exec tunable

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__mmap): Modified function.
	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.
	(ldsodefs.h): Include file.
	* sysdeps/unix/sysv/linux/x86_64/64/Makefile: Modified.
	* sysdeps/x86_64/64/Makefile: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/dl-tunables.list: Move to...
	* sysdeps/x86_64/64/dl-tunables.list: ... here.
	* sysdeps/unix/sysv/linux/x86_64/64/tst-map-32bit-1a.c: Move to...
	* sysdeps/x86_64/64/tst-map-32bit-1a.c: ... here.
	* sysdeps/unix/sysv/linux/x86_64/64/tst-map-32bit-1b.c: Move to...
	* sysdeps/x86_64/64/tst-map-32bit-1b.c: ... here.
	* sysdeps/unix/sysv/linux/x86_64/64/tst-map-32bit-mod.c: Move to...
	* sysdeps/x86_64/64/tst-map-32bit-mod.c: ... here.

2023-04-24  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 35b7bf2fe003d6dbd5726cdf69f3c5d8179590e5
	hurd: Don't attempt to deallocate MACH_PORT_DEAD

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__mmap): Modified function.
	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.

2023-04-24  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4c39333050815a33ddf4f3067798ac060eed1e2b
	hurd: Only deallocate addrport when it's valid

	* sysdeps/mach/hurd/recv.c: Modified.
	(__recv): Modified function.
	* sysdeps/mach/hurd/recvfrom.c: Modified.
	(__recvfrom): Modified function.
	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.
	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.
	* sysdeps/mach/hurd/sendto.c: Modified.
	(__sendto): Modified function.

2023-04-24  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 70b9173caa3a6e8e4cc1c8ebe93ed15a19388687
	hurd: Implement MAP_32BIT

	* sysdeps/mach/hurd/bits/mman_ext.h: Modified.
	[__USE_GNU](MAP_32BIT): New.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__mmap): Modified function.
	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.

2023-04-22  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 533deafbdf189f5fbb280c28562dd43ace2f4b0f
	Use O_CLOEXEC in more places (BZ #15722)

	* catgets/open_catalog.c: Modified.
	(__open_catalog): Modified function.
	* elf/dl-profile.c: Modified.
	(_dl_start_profile): Modified function.
	* gmon/gmon.c: Modified.
	(write_gmon): Modified function.
	* iconv/gconv_cache.c: Modified.
	(__gconv_load_cache): Modified function.
	* login/utmp_file.c: Modified.
	(__libc_updwtmp): Modified function.
	* sysdeps/pthread/sem_open.c: Modified.
	(__sem_open): Modified function.

2023-04-22  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 28a441cc577e31e95742b9ec5f1737b86749b712
	misc: Convert daemon () to GNU coding style

	* misc/daemon.c: Modified.
	(daemon): Modified function.

2023-04-21  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 0aa5b28a504c6f1f17b387d8147715d1496fff62
	wcsmbs: Add wcsdup() tests. (BZ #30266)

	* wcsmbs/Makefile: Modified.
	* wcsmbs/test-wcsdup.c: New file.

2023-04-21  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 0c48aa0551151ea201f7f528492e89a0b08a6890
	string: Add tests for strndup (BZ #30266)

	* string/Makefile: Modified.
	* string/test-strndup.c: New file.

2023-04-21  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: eaaad78db41724e5a18a42becb238bfc4e683998
	string: Add tests for strdup (BZ #30266)

	* string/Makefile: Modified.
	* string/test-strdup.c: New file.

2023-04-21  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 1626d8a521c7c771d4118b1328421fea113cab64
	string: Allow use of test-string.h for non-ifunc implementations.

	* string/test-string.h: Modified.
	[TEST_MAIN][TEST_NAME](impl_count): Modified.
	[TEST_MAIN][TEST_NAME](impl_array): Modified.

2023-04-21  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 8e78a2e1d166411a1243e505d036e85e4a7ff17f
	hurd: Don't migrate reply port into __init1_tcbhead

	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Modified function.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): Modified.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	(first_init): Modified function.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Modified function.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): Modified.

2023-04-20  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 88cc282a9a694d3c4f3636d6d518f9f0dac76b73
	hurd: Make dl-sysdep's open () cope with O_IGNORE_CTTY

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(open_file): Modified function.

2023-04-20  Cupertino Miranda  <cupertino.miranda@oracle.com>

	COMMIT: b630be0922dbaaa50eb174a7740f0d3fb88602da
	Created tunable to force small pages on stack allocation.

	* NEWS: Modified.
	* manual/tunables.texi: Modified.
	* nptl/allocatestack.c: Modified.
	(allocate_stack): Modified function.
	* nptl/nptl-stack.c: Modified.
	(__nptl_stack_hugetlb): New.
	* nptl/nptl-stack.h: Modified.
	(__nptl_stack_hugetlb): New.
	* nptl/pthread_mutex_conf.c: Modified.
	(__pthread_tunables_init): Modified function.
	(TUNABLE_CALLBACK): New function.
	* sysdeps/nptl/dl-tunables.list: Modified.

2023-04-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0f61cd4b9c5175c128311769df932c8d7694d6b6
	malloc: Add missing shared thread library flags

	* malloc/Makefile: Modified.

2023-04-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 320768a664be1134a280652d8a5618a3f81078b9
	linux: Re-flow and sort multiline Makefile definitions

	* sysdeps/unix/sysv/linux/Makefile: Modified.

2023-04-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 12a4cfca861039af2d777dc124642406134f16d7
	posix: Re-flow and sort multiline Makefile definitions

	* posix/Makefile: Modified.

2023-04-19  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

	COMMIT: 65cbd52174f5bc211dd655727c2239e25e55bfce
	build-many-glibcs.py: --disable-gcov for gcc-first

	* scripts/build-many-glibcs.py: Modified.

2023-04-18  DJ Delorie  <dj@redhat.com>

	COMMIT: e5524ef335dc8e28d64cc376d57c219e566fcf53
	malloc: set NON_MAIN_ARENA flag for reclaimed memalign chunk (BZ #30101)

	* malloc/Makefile: Modified.
	* malloc/malloc.c: Modified.
	(chunk_ok_for_memalign): Modified function.
	(_int_memalign): Modified function.
	* malloc/tst-memalign-2.c: Modified.
	(do_test): Modified function.
	* malloc/tst-memalign-3.c: New file.

2023-04-18  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 8895a99c10349e5b0bb57b64c229389169a312e0
	hurd: Microoptimize sigreturn

	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.

2023-04-18  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 589cccc8c92823f9d1d4abc448553bd80daf65f2
	rcmd.c: Fix indentation in last commit

	* inet/rcmd.c: Modified.

2023-04-18  Frédéric Bérat  <fberat@redhat.com>

	COMMIT: 1629adf2a6eefe5ddddc2445e2d056ca80edfe8b
	inet/rcmd.c: fix warn unused result

	* inet/rcmd.c: Modified.
	(ruserok2_sa): Modified function.

2023-04-18  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: cb9cae962c315139941a6eb0d07c6a71b658f5bb
	hurd: Avoid leaking task & thread ports

	* hurd/catch-exc.c: Modified.
	[! EXC_MASK_ALL](_S_catch_exception_raise): Modified function.
	[EXC_MASK_ALL](_S_catch_exception_raise): Modified function.

2023-04-18  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 45000f12315c68f093293ec24d73860116bda0ba
	hurd: Simplify _S_catch_exception_raise

	* hurd/catch-exc.c: Modified.
	[! EXC_MASK_ALL](_S_catch_exception_raise): Modified function.
	[EXC_MASK_ALL](_S_catch_exception_raise): Modified function.

2023-04-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 346b6eab3c14ead0b716d53e2235464b822f48f2
	hurd: Run init_pids () before init_dtable ()

	* hurd/hurdinit.c: Modified.
	(_hurd_init): Modified function.
	(_hurd_new_proc_init): Modified function.

2023-04-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e411e31b7b74f4b2326b65544994c89d84d2cdd8
	hurd: Fix restoring reply port in sigreturn

	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.

2023-04-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 060cadaab64083b415054508fb6f221be74d95d2
	wcsmbs: Re-flow and sort routines, tests variables in Makefile

	* wcsmbs/Makefile: Modified.

2023-04-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4e4641164d2722d622a1bf3b5e4583538d9c7227
	debug: Re-flow and sort routines variable in Makefile

	* debug/Makefile: Modified.

2023-04-17  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e55a55acb19400a26db4e7eec6d4649e364bc8d4
	hurd: Avoid extra ctty RPCs in init_dtable ()

	* hurd/dtable.c: Modified.
	(init_dtable): Modified function.

2023-04-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 76d0f094dd177e303b36d7b77e21673f244a4b53
	math: Improve fmod(f) performance

	* sysdeps/ieee754/dbl-64/e_fmod.c: Modified.
	(__fmod): Modified function.
	* sysdeps/ieee754/flt-32/e_fmodf.c: Modified.
	(__fmodf): Modified function.

2023-04-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 2623479105a7e11ccd1e504b3f549cadbb875a42
	Benchtests: Adjust timing

	* benchtests/bench-bzero.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-hash-funcs.c: Modified.
	(<anonymous>): Modified.
	* benchtests/bench-memccpy.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-memchr.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-memcpy-random.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-memcpy.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-memset.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-strcat.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-strcmp.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-strlen.c: Modified.
	(do_one_test): Modified function.
	* benchtests/bench-strncpy.c: Modified.
	(do_one_test): Modified function.

2023-04-14  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e2756903329365134089d23548e9083d23bc3dd9
	hurd: Only check for TLS initialization inside rtld or in static builds

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/i386/dl-tls-initialized.c: New file.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](_hurd_tls_init): Remove function.
	[! __ASSEMBLER__](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): New.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): New.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	[! SHARED][! __x86_64__](__init1_desc): Remove.
	[__x86_64__](__libc_tls_initialized): Remove.
	(first_init): Modified function.
	* sysdeps/mach/hurd/x86_64/dl-tls-initialized.c: New file.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__](__libc_tls_initialized): Remove.
	[! __ASSEMBLER__](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__](_hurd_tls_init): Remove function.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__libc_tls_initialized): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): New.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): New.

2023-04-14  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: ba00d787f3469b02032766b074d4df9071fa7e24
	hurd: Remove __hurd_local_reply_port

	* hurd/hurd/threadvar.h: Modified.
	(__hurd_reply_port0): Remove.
	(__hurd_local_reply_port): Remove.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(_dl_sysdep_start_cleanup): Modified function.
	* sysdeps/mach/hurd/mig-reply.c: Modified.
	(hurd/threadvar.h): Remove include.
	(__hurd_reply_port0): Remove.
	(__mig_get_reply_port): Modified function.
	(__mig_dealloc_reply_port): Modified function.
	[! SHARED || IS_IN (rtld)](__hurd_reply_port0): New.
	(tls.h): Include file.
	(get_reply_port): New function.
	(set_reply_port): New function.
	* sysdeps/mach/sysdep.h: Modified.
	[! __ASSEMBLER__](FATAL_PREPARE): Modified.

2023-04-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 05fe3ecffff485032e904f0a3ea709e24d9188eb
	malloc: Assure that THP mode read do write OOB end of stringt

	* sysdeps/unix/sysv/linux/malloc-hugepages.c: Modified.
	(__malloc_thp_mode): Modified function.

2023-04-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 801deb07f6ecc6a3c8933cffc23d4b3a895259e1
	malloc: Assure that THP mode is always null terminated

	* sysdeps/unix/sysv/linux/malloc-hugepages.c: Modified.
	(__malloc_thp_mode): Modified function.

2023-04-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: decf02d3825daecb95ee293f7b830c4c0cbd1cc5
	hurd: Mark two tests as unsupported

	* sysdeps/mach/hurd/Makefile: Modified.

2023-04-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6538a288be2a53d46570985e4b624323ee0f3aa9
	hurd: Restore destroying receive rights on sigreturn

	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn): Modified function.

2023-04-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0cee4aa92f5b9b213856c8ba1ab84c34d73c943b
	aio: Fix freeing memory

	* rt/aio_misc.c: Modified.
	[!PTHREAD_IN_LIBC](__aio_freemem): Modified function.

2023-04-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5473a1747a7bd10a7a271c7e01e942711a707bb8
	Revert "hurd: Only check for TLS initialization inside rtld or in static builds"

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/i386/dl-tls-initialized.c: Delete file.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__](_hurd_tls_init): New function.
	[! __ASSEMBLER__](TLS_INIT_TP): New.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	[! SHARED][! __x86_64__](__init1_desc): New.
	(first_init): Modified function.
	[__x86_64__](__libc_tls_initialized): New.
	* sysdeps/mach/hurd/x86_64/dl-tls-initialized.c: Delete file.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__libc_tls_initialized): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](__libc_tls_initialized): New.
	[! __ASSEMBLER__](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__](TLS_INIT_TP): New.
	[! __ASSEMBLER__](_hurd_tls_init): New function.

2023-04-11  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: cd019ddd892e182277fadd6aedccc57fa3923c8d
	hurd: Don't leak __hurd_reply_port0

	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Modified function.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): Modified function.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 747812349d42427c835aeac987aa67641d84f1ad
	hurd: Improve reply port handling when exiting signal handlers

	* hurd/sigunwind.c: Modified.
	(hurd/threadvar.h): Remove include.
	(_hurdsig_longjmp_from_handler): Modified function.
	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(hurd/threadvar.h): Remove include.
	(__sigreturn): Modified function.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b37899d34d2190ef4b454283188f22519f096048
	hurd: Only check for TLS initialization inside rtld or in static builds

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/i386/dl-tls-initialized.c: New file.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](_hurd_tls_init): Remove function.
	[! __ASSEMBLER__](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): New.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): New.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	[! SHARED][! __x86_64__](__init1_desc): Remove.
	[__x86_64__](__libc_tls_initialized): Remove.
	(first_init): Modified function.
	* sysdeps/mach/hurd/x86_64/dl-tls-initialized.c: New file.
	* sysdeps/mach/hurd/x86_64/tls.h: Modified.
	[! __ASSEMBLER__](__libc_tls_initialized): Remove.
	[! __ASSEMBLER__](__LIBC_NO_TLS): Remove.
	[! __ASSEMBLER__](TLS_INIT_TP): Remove.
	[! __ASSEMBLER__](_hurd_tls_init): Remove function.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__libc_tls_initialized): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](__LIBC_NO_TLS): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](_hurd_tls_init): New.
	[! __ASSEMBLER__][! SHARED || IS_IN (rtld)](TLS_INIT_TP): New.
	[! __ASSEMBLER__][!(! SHARED || IS_IN (rtld))](__LIBC_NO_TLS): New.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4644fb9c4c10287c875dc60c345a3eb6f4c8e87b
	elf: Stop including tls.h in ldsodefs.h

	* sysdeps/generic/ldsodefs.h: Modified.
	(tls.h): Remove include.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 60f9bf974694d50daf58d46347b06a5975ac5ddd
	hurd: Port trampoline.c to x86_64

	* sysdeps/mach/hurd/i386/trampoline.c: Move to...
	* sysdeps/mach/hurd/x86/trampoline.c: ... here.
	(fill_siginfo): Modified function.
	(fill_ucontext): Modified function.
	(_hurd_setup_sighandler): Modified function.
	(asm): Modified.
	(asm): Remove.
	(asm): Remove.
	(asm): Remove.
	(asm): Remove.
	[! __x86_64__](asm): New.
	[! __x86_64__](asm): New.
	[! __x86_64__](asm): New.
	[! __x86_64__](asm): New.
	[__x86_64__](asm): New.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 645da826bba8c37d834403a56dc94203052c2cee
	hurd: Do not declare local variables volatile

	* hurd/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.
	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 892f702827434553eeac63850048ddea7bf596c4
	hurd: Implement x86_64/intr-msg.h

	* sysdeps/mach/hurd/x86_64/intr-msg.h: New file.

2023-04-10  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 57df0f16b494a5602557228541721341afc78937
	hurd: Add sys/ucontext.h and sigcontext.h for x86_64

	* sysdeps/mach/hurd/x86_64/bits/sigcontext.h: New file.
	* sysdeps/mach/hurd/x86_64/ucontext_i.sym: New file.
	* sysdeps/x86_64/sys/ucontext.h: New file.

2023-04-10  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: f7f7dd8009275504b211c170caf5bce50fa472ac
	hurd: Stop depending on the default_pager stubs provided by gnumach

	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2023-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 54ae6d81c94364c1e13a5b8baef52b9e3475fedd
	manual: update AddressSanitizer discussion

	* manual/string.texi: Modified.

2023-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: f173e27272e6e37cab016f9ef3f90d3e1189329f
	manual: document snprintf truncation better

	* manual/stdio.texi: Modified.

2023-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 1fb225923a1da5dd54d4e7460ccb7fcd12879982
	manual: improve string section wording

	* manual/string.texi: Modified.

2023-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: a778333951a2ae530dde8ff18a275155c478aec2
	manual: fix texinfo typo

	* manual/creature.texi: Modified.

2023-04-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0d5cb2ae27c0a163c15e5222fb132bf9d026b14b
	<stdio.h>: Make fopencookie, vasprintf, asprintf available by default

	* libio/stdio.h: Modified.
	[__GLIBC_USE (LIB_EXT2)](__wur): Remove.
	[__GLIBC_USE (LIB_EXT2)](__wur): Remove.
	[__GLIBC_USE (LIB_EXT2)](__wur): Remove.
	[__USE_GNU](bits/types/cookie_io_functions_t.h): Remove include.
	[__USE_GNU](__wur): Remove.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](bits/types/cookie_io_functions_t.h): Include file.
	[__USE_MISC](__wur): New.
	[(__USE_MISC) || __GLIBC_USE (LIB_EXT2)](__wur): New.
	[(__USE_MISC) || __GLIBC_USE (LIB_EXT2)](__wur): New.
	[(__USE_MISC) || __GLIBC_USE (LIB_EXT2)](__wur): New.

2023-04-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 30e3ca78f92be44f46851557f54b47e789bd3416
	<string.h>: Make strchrnul, strcasestr, memmem available by default

	* string/string.h: Modified.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][! __USE_GNU](strcspn): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][! __CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][__CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][__CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU](memmem): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU](__mempcpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU](mempcpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][! __CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][__CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][__CORRECT_ISO_CPP_STRING_H_PROTO](strcasestr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC](memmem): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC](__mempcpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC](mempcpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][! __CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][__CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU][__CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_GNU](strcspn): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][! __USE_MISC](strcspn): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][! __CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][__CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC][__CORRECT_ISO_CPP_STRING_H_PROTO](strchrnul): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_MISC](strcspn): New.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 81a3cc956ef4e324c83419fa6d7a559d6e762cd7
	<sys/platform/x86.h>: Add PREFETCHI support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_PREFETCHI): New.
	(index_cpu_PREFETCHI): New.
	(reg_PREFETCHI): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b05521c916790dbaeb953fca7b979a889d868db2
	<sys/platform/x86.h>: Add AMX-COMPLEX support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AMX_COMPLEX): New.
	(index_cpu_AMX_COMPLEX): New.
	(reg_AMX_COMPLEX): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 609b7b2d3c0c44f4e42a235f8d7c207c903a6bb1
	<sys/platform/x86.h>: Add AVX-NE-CONVERT support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AVX_NE_CONVERT): New.
	(index_cpu_AVX_NE_CONVERT): New.
	(reg_AVX_NE_CONVERT): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4c120c88a631cf038520556144860d3ad5a4d0e3
	<sys/platform/x86.h>: Add AVX-VNNI-INT8 support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AVX_VNNI_INT8): New.
	(index_cpu_AVX_VNNI_INT8): New.
	(reg_AVX_VNNI_INT8): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b39741b45f3de7090a7f7fdd8bc487382d53b848
	<sys/platform/x86.h>: Add MSRLIST support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 96037c697d5a5b1bc19caae74dddf45e041b0ffd
	<sys/platform/x86.h>: Add AVX-IFMA support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AVX_IFMA): New.
	(index_cpu_AVX_IFMA): New.
	(reg_AVX_IFMA): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8b4cc05eabdb67902171d8c05a4915d14b1e5f58
	<sys/platform/x86.h>: Add AMX-FP16 support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_AMX_FP16): New.
	(index_cpu_AMX_FP16): New.
	(reg_AMX_FP16): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 227983551d3b590e1a9ed4e81d793b7f6abfadd2
	<sys/platform/x86.h>: Add WRMSRNS support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a00db8305db02231cea6e3806d86526d209a580c
	<sys/platform/x86.h>: Add ArchPerfmonExt support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2f02d0d8e15741efa1829dbaaf58b2d3e7c707a2
	<sys/platform/x86.h>: Add CMPCCXADD support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_CMPCCXADD): New.
	(index_cpu_CMPCCXADD): New.
	(reg_CMPCCXADD): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: aa528a579b3fc98eab43986619087cafe3f260d0
	<sys/platform/x86.h>: Add LASS support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 231bf916ce9572776df0b5f197b57739c1ddc7ac
	<sys/platform/x86.h>: Add RAO-INT support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(bit_cpu_RAO_INT): New.
	(index_cpu_RAO_INT): New.
	(reg_RAO_INT): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: fb90dc8513f67d1cc0578452aee3459e9b9ab626
	<sys/platform/x86.h>: Add LBR support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f47b7d96fbecc6a81c144e7d152b1cb748efd682
	<sys/platform/x86.h>: Add RTM_FORCE_ABORT support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f6790a489dda2118729cc2917cc9a9c942e7d2cb
	<sys/platform/x86.h>: Add SGX-KEYS support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 09cc5fee2165c7be14907e6597373b0cd35803f3
	<sys/platform/x86.h>: Add BUS_LOCK_DETECT support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8c8e39116604fcd1101658f31dd136754a4aca6e
	<sys/platform/x86.h>: Add LA57 support

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 083204a0e219bbfe0a475fcd3dcd0a579be17b48
	platform.texi: Move LAM after LAHF64_SAHF64

	* manual/platform.texi: Modified.

2023-04-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2d8c590a5e9bfe1344b638c897c7d731365cfaca
	<bits/platform/x86.h>: Rename to x86_cpu_INDEX_7_ECX_15

	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.

2023-04-05  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: c4468cd3995b4236ea886901109b194641132b08
	hppa: Update struct __pthread_rwlock_arch_t comment.

	* sysdeps/hppa/nptl/bits/struct_rwlock.h: Modified.

2023-04-05  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: e9327e8584b2d90d9fb6f489b6e446dccd1cd5da
	hppa: Revise __TIMESIZE define to use __WORDSIZE

	* sysdeps/unix/sysv/linux/hppa/bits/timesize.h: Modified.
	(__TIMESIZE): Modified.
	(bits/wordsize.h): Include file.

2023-04-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 21a171bcb24240ecab860dddbcd89da6fe42aeff
	libio: Remove unused pragma weak on vtable

	* libio/vtables.c: Modified.

2023-04-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b47d02b9c69459031902f3dadca19510e54fbd9e
	malloc: Only set pragma weak for rpc freemem if required

	* malloc/set-freeres.c: Modified.

2023-04-05  Guy-Fleury Iteriteka  <gfleury@disroot.org>

	COMMIT: 5476f8cd2e68800a705e80f568599e1a38facd93
	htl: move pthread_self info libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD2): Remove.
	* htl/pt-initialize.c: Modified.
	* htl/pt-self.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_self): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.

2023-04-05  Guy-Fleury Iteriteka  <gfleury@disroot.org>

	COMMIT: f987e9b7a3b98185b3398caaac0ebd24ef4cd358
	htl: move ___pthread_self into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/mach/hurd/htl/pt-pthread_self.c: New file.
	* sysdeps/mach/hurd/htl/pt-sysdep.c: Modified.
	(___pthread_self): Remove.
	* sysdeps/mach/hurd/htl/pt-sysdep.h: Modified.
	(stddef.h): Include file.
	(libc_hidden_tls_proto): New.

2023-04-05  Guy-Fleury Iteriteka  <gfleury@disroot.org>

	COMMIT: 7bba5bd8e8c9b48b1983e5943e508b92e1270ac4
	htl: move __pthtread_total into libc

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-create.c: Modified.
	(__pthread_total): Remove.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): New.
	* htl/pt-nthreads.c: New file.

2023-04-04  Nisha Menon  <nisha.s.menon@gmail.com>

	COMMIT: 51a121eb36d7cf016005413b4fe6995df2b7cef3
	compare_strings.py : Add --gmean flag

	* benchtests/scripts/compare_strings.py: Modified.

2023-04-04  Andreas Schwab  <schwab@suse.de>

	COMMIT: 856bab7717ef6d1033fd7cbf7cfb2ddefbfffb07
	x86/dl-cacheinfo: remove unsused parameter from handle_amd

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(handle_amd): Modified function.
	(dl_init_cacheinfo): Modified function.

2023-04-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 59db5735e62daa697d3899aeb69cc1b29eb7b044
	powerpc: Disable stack protector in early static initialization

	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.

2023-04-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 370da8a121c3ba9eeb2f13da15fc0f21f4136b25
	nptl: Fix tst-cancel30 on sparc64

	* sysdeps/pthread/tst-cancel30.c: Modified.
	(tf): Modified function.

2023-04-03  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 16439f419b270184ec501c531bf20d83b6745fb0
	math: Remove the error handling wrapper from fmod and fmodf

	* math/Versions: Modified.
	* math/w_fmod_compat.c: Modified.
	[LIBM_SVID_COMPAT](__fmod): Remove.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)][LONG_DOUBLE_COMPAT](LONG_DOUBLE_COMPAT_CHOOSE_libm_fmodl): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)][NO_LONG_DOUBLE](weak_alias): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)](__fmod_compat): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)](compat_symbol): New.
	* math/w_fmodf_compat.c: Modified.
	[LIBM_SVID_COMPAT](__fmodf): Remove.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)](__fmod_compatf): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_38)](compat_symbol): New.
	* sysdeps/i386/fpu/w_fmod_compat.c: New file.
	* sysdeps/i386/fpu/w_fmodf_compat.c: New file.
	* sysdeps/ieee754/dbl-64/e_fmod.c: Modified.
	(__ieee754_fmod): Remove function.
	[LIBM_SVID_COMPAT](libm_alias_finite): New.
	(libm-alias-double.h): Include file.
	(math-svid-compat.h): Include file.
	(__fmod): New function.
	(strong_alias): New.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(__math_edom): New function.
	* sysdeps/ieee754/dbl-64/math_err.c: Modified.
	(__math_edom): New function.
	* sysdeps/ieee754/dbl-64/w_fmod.c: New file.
	* sysdeps/ieee754/flt-32/e_fmodf.c: Modified.
	(__ieee754_fmodf): Remove function.
	[LIBM_SVID_COMPAT](versioned_symbol): New.
	(libm-alias-float.h): Include file.
	(math-svid-compat.h): Include file.
	(__fmodf): New function.
	(strong_alias): New.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(__math_edomf): New function.
	* sysdeps/ieee754/flt-32/math_errf.c: Modified.
	(__math_edomf): New function.
	* sysdeps/ieee754/flt-32/w_fmodf.c: New file.
	* sysdeps/m68k/m680x0/fpu/w_fmod_compat.c: New file.
	* sysdeps/m68k/m680x0/fpu/w_fmodf_compat.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2023-04-03  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>
            kirill  <kirill.okhotnikov@gmail.com>

	COMMIT: cf9cf33199fdd6550920ad43f19ad8b2435fc0c6
	math: Improve fmodf

	* math/libm-test-fmod.inc: Modified.
	* sysdeps/ieee754/flt-32/e_fmodf.c: Modified.
	(math_private.h): Remove include.
	(one): Remove.
	(__ieee754_fmodf): Modified function.
	(math_config.h): Include file.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(BIT_WIDTH): New.
	(MANTISSA_WIDTH): New.
	(EXPONENT_WIDTH): New.
	(MANTISSA_MASK): New.
	(EXPONENT_MASK): New.
	(EXP_MANT_MASK): New.
	(QUIET_NAN_MASK): New.
	(SIGN_MASK): New.
	(is_nan): New function.
	(get_mantissa): New function.
	(make_float): New function.

2023-04-03  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>
            kirill  <kirill.okhotnikov@gmail.com>

	COMMIT: 34b9f8bc170810c44184ad57ecf1800587e752a6
	math: Improve fmod

	* math/libm-test-fmod.inc: Modified.
	* sysdeps/ieee754/dbl-64/e_fmod.c: Modified.
	(math_private.h): Remove include.
	(stdint.h): Remove include.
	(one): Remove.
	(__ieee754_fmod): Modified function.
	(math_config.h): Include file.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(clz_uint64): New function.
	(ctz_uint64): New function.
	(BIT_WIDTH): New.
	(MANTISSA_WIDTH): New.
	(EXPONENT_WIDTH): New.
	(MANTISSA_MASK): New.
	(EXPONENT_MASK): New.
	(EXP_MANT_MASK): New.
	(QUIET_NAN_MASK): New.
	(SIGN_MASK): New.
	(is_nan): New function.
	(get_mantissa): New function.
	(make_double): New function.

2023-04-03  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 5c11701c518276fcf12ff7d8f27e3c7102e97542
	benchtests: Add fmodf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/fmodf-inputs: New file.

2023-04-03  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 3ba0c9593f273426ef36116f4e362a7ed9ecec11
	benchtests: Add fmod benchmark

	* benchtests/Makefile: Modified.
	* benchtests/fmod-inputs: New file.

2023-04-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 743113d42e6cad77477769a3de5542d33443ae76
	x86: Set FSGSBASE to active if enabled by kernel

	* sysdeps/unix/sysv/linux/x86/dl-hwcap2.h: New file.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	(dl-hwcap2.h): Include file.
	* sysdeps/x86/dl-hwcap2.h: New file.
	* sysdeps/x86/tst-cpu-features-cpuinfo.c: Modified.
	(do_test): Modified function.
	(CHECK_PROC_ACTIVE): New.

2023-04-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5d1ccdda7b0c625751661d50977f3dfbc73f8eae
	x86_64: Fix asm constraints in feraiseexcept (bug 30305)

	* sysdeps/x86_64/fpu/fraiseexcpt.c: Modified.
	(__feraiseexcept): Modified function.

2023-04-03  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: ac2a14343e81098c196cef5d67b52e440c05c230
	manual: Document __wur usage under _FORTIFY_SOURCE

	* manual/maint.texi: Modified.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 7b3d8558d92a123743699c577704aab4a2f3d949
	hurd: Microoptimize _hurd_self_sigstate ()

	* hurd/hurd/signal.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_self_sigstate): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 17841fa7d45c7ce8836a2935255f90f0bfac46b1
	hurd: Add vm_param.h for x86_64

	* sysdeps/mach/hurd/x86_64/vm_param.h: New file.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 20427b8f231edfa786cbf2672f8d00199ea7c6c6
	hurd: Implement _hurd_longjmp_thread_state for x86_64

	* sysdeps/mach/hurd/x86_64/longjmp-ts.c: New file.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: e0bbae0062cfe64a59d8316e84ca2ac957cd5e07
	htl: Implement thread_set_pcsptp for x86_64

	* sysdeps/mach/hurd/x86_64/htl/pt-machdep.c: New file.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 8d873a4904e7808110a1170aba9ba9f74cd71137
	x86_64: Add rtld-stpncpy & rtld-strncpy

	* sysdeps/x86_64/multiarch/rtld-stpncpy.S: New file.
	* sysdeps/x86_64/multiarch/rtld-strncpy.S: New file.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: fb9e7f6732311ed8874b6afc1ff4a331a9e6ba68
	htl: Add tcb-offsets.sym for x86_64

	* sysdeps/x86_64/htl/Makefile: New file.
	* sysdeps/x86_64/htl/tcb-offsets.sym: New file.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: d8b69e89d8a4996eac2e53f16e6ef6e1cbb284b4
	hurd: Move a couple of signal-related files to x86

	* sysdeps/mach/hurd/i386/exc2signal.c: Move to...
	* sysdeps/mach/hurd/x86/exc2signal.c: ... here.
	* sysdeps/mach/hurd/i386/signal-defines.sym: Move to...
	* sysdeps/mach/hurd/x86/signal-defines.sym: ... here.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: a1fbae752722a4f59127d74c362d3247f277be24
	hurd: Use uintptr_t for register values in trampoline.c

	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b43cb674577c81c6a320d69345bad9aaad1ffbf6
	hurd: Move rtld-strncpy-c.c out of mach/hurd/

	* sysdeps/mach/hurd/i386/i686/multiarch/rtld-strncpy-c.c: Move to...
	* sysdeps/i386/i686/multiarch/rtld-strncpy-c.c: ... here.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 0001a23f7a3701ef0ef7b25901c5e9990beea8f4
	hurd: More 64-bit integer casting fixes

	* sysdeps/mach/hurd/ioctl.c: Modified.
	(__ioctl): Modified function.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	(init): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: af2942cc622809650b3158fe61d73a0de952a10a
	mach, hurd: Drop __libc_lock_self0

	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/cthreads.c: Modified.
	(__libc_lock_self0): Remove.
	* sysdeps/mach/libc-lock.h: Modified.
	[_LIBC](__libc_lock_self0): Remove.
	[_LIBC](__libc_lock_owner_self): Modified.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 589bcfdeefeba493fd0f90fbdcbd285ec1ed313d
	stdio-common: Fix building when !IS_IN (libc)

	* stdio-common/_itoa.c: Modified.
	(_itoa_word): Remove function.
	(SPECIAL): Remove.
	[IS_IN (libc)](_itoa_word): New.
	[IS_IN (libc)](SPECIAL): New.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 05024b52a45fde064fe42288cee19d1756f6d01d
	hurd: Fix _hurd_setup_sighandler () signature

	* hurd/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 543f0cfc9a82db19cc7e52c27dbdbeccd4fe68ea
	hurd: Disable O_TRUNC and FS_RETRY_MAGICAL in rtld

	* hurd/lookup-retry.c: Modified.
	(__hurd_file_name_lookup_retry): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 6a73ea505bc47fdb148f3fe506c1ed3f3d76db46
	hurd: Fix file name in #error

	* hurd/longjmp-ts.c: Modified.
	(_hurd_longjmp_thread_state): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 226f1f8a94427a7ae0b4dc8f5ef9cc765ba6b5ce
	hurd: Swap around two function calls

	* hurd/hurdfault.c: Modified.
	[! EXC_MASK_ALL](_hurdsig_fault_init): Modified function.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 71232da3b37b33d41c593c153a4a612067ff83cd
	hurd: Remove __hurd_threadvar_stack_{offset,mask}

	* hurd/Versions: Modified.
	* hurd/hurd/threadvar.h: Modified.
	(__hurd_threadvar_stack_mask): Remove.
	(__hurd_threadvar_stack_offset): Remove.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	(__hurd_threadvar_stack_offset): Remove.
	(__hurd_threadvar_stack_mask): Remove.

2023-04-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: d8ee5d614bc485f6d1752dfa0d60524b20945a56
	hurd: Make exception subcode a long

	* hurd/catch-exc.c: Modified.
	[! EXC_MASK_ALL](_S_catch_exception_raise): Modified function.
	* hurd/hurd/signal.h: Modified.
	(hurd_signal_detail): Modified.
	* hurd/hurdfault.c: Modified.
	[! EXC_MASK_ALL](_hurdsig_fault_catch_exception_raise): Modified function.

2023-03-31  Alejandro Colomar  <alx.manpages@gmail.com>

	COMMIT: 09b382122288e706c5fa2c0412910f71c78b7d63
	time: Fix strftime(3) API regarding nullability

	* time/time.h: Modified.
	(strftime): Modified.

2023-03-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 113549d9fd5e0f9b9632214b74a3905a3d400fed
	Update arm libm-tests-ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2023-03-30  Andreas Schwab  <schwab@suse.de>

	COMMIT: 0d83b349fa7340475406b2fe933c7467e4584091
	getlogin_r: fix missing fallback if loginuid is unset (bug 30235)

	* sysdeps/unix/sysv/linux/getlogin_r.c: Modified.
	(__getlogin_r_loginuid): Modified function.

2023-03-29  DJ Delorie  <dj@redhat.com>

	COMMIT: 24cdd6c71debfd10a9f7cb217fe2a2c4c486ed6f
	memalign: Support scanning for aligned chunks.

	* malloc/Makefile: Modified.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[USE_TCACHE](tcache_get): Modified function.
	[USE_TCACHE](tcache_get_n): New function.
	[USE_TCACHE](tcache_next): New function.
	(_int_malloc): Modified function.
	(_int_memalign): Modified function.
	(chunk_ok_for_memalign): New function.
	* malloc/tst-memalign-2.c: New file.

2023-03-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 998fba01b254be6c1848da4900454a3bc309cb69
	malloc: Use C11 atomics on memusage

	* malloc/memusage.c: Modified.
	(atomic.h): Remove include.
	(errno.h): Remove include.
	(inttypes.h): Remove include.
	(signal.h): Remove include.
	(string.h): Remove include.
	(stdint.h): Remove include.
	(calls): Modified.
	(failed): Modified.
	(total): Modified.
	(grand_total): Modified.
	(large): Modified.
	(calls_total): Modified.
	(inplace): Modified.
	(decreasing): Modified.
